#!/usr/bin/env node
import { readCliConfig as oo, log as R, xPrompts as N, lookForParentTarget as An, decryptAES as so, createMainCommand as io, createSubcommand as ao } from "@done-coding/cli-utils";
import { execSync as le } from "node:child_process";
import co, { existsSync as qt, rmSync as we } from "node:fs";
import Ze, { resolve as uo } from "node:path";
import { getConfigPath as lo, batchCompileHandler as fo, MODULE_DEFAULT_CONFIG_RELATIVE_PATH as po } from "@done-coding/cli-template";
import { getTargetRepoUrl as ho } from "@done-coding/cli-git";
const Cn = "自定义模版路径", Nn = "某个git平台用户仓库", mt = {
  name: "create-done-coding",
  version: "0.11.7-alpha.0",
  description: "项目创建命令行工具",
  cliConfig: {
    namespaceDir: ".done-coding",
    moduleName: "create"
  }
};
let Ye;
const mo = async () => (Ye || (Ye = (await oo({
  moduleName: mt.cliConfig.moduleName,
  onSuccess({ config: t, cliConfigFileRelativePath: n, repoUrl: r }) {
    if (!Array.isArray(t.templateList)) {
      const o = `远程配置文件出错, templateList 不是数组, 请检查 ${r} ${n}`;
      throw new Error(o);
    }
    R.success("模板列表拉取成功！");
  }
})).templateList), Ye), jn = async () => [
  ...await mo(),
  { name: Cn },
  { name: Nn }
], go = {
  type: "text",
  name: "projectName",
  message: "请输入项目名称",
  format: (e) => e.trim(),
  validate: (e) => e.length > 0 || "项目名称不能为空"
}, yo = async () => ({
  type: "select",
  name: "template",
  message: "请选择模板",
  choices: (await jn()).map((t) => {
    var n;
    return {
      title: t.branch ? `${t.name}(${t.branch})` : t.name,
      value: t.name,
      description: `${t.description || ""}${(n = t.instances) != null && n.length ? `, 已应用于: ${[""].concat(t.instances).join(`
- `)}` : ""}` || void 0
    };
  }),
  validate: (t) => t.trim().length > 0 || "模板不能为空"
}), _o = {
  type: "confirm",
  name: "saveGitHistory",
  message: "是否保留git历史",
  initial: !1
}, bo = (e = "项目已存在，是否删除") => ({
  type: "confirm",
  name: "isRemove",
  message: e
}), Eo = {
  type: "text",
  name: "customUrl",
  message: "请输入自定义模板路径",
  validate: (e) => e.trim().length > 0 || "路径不能为空"
}, Ro = (e) => ({
  type: "text",
  name: "gitCommitMessage",
  message: "请输入git提交信息",
  initial: `feat: 初始化项目${e}`,
  validate: (t) => t.trim().length > 0 || "提交信息不能为空"
});
var vo = Object.defineProperty, wo = (e, t, n) => t in e ? vo(e, t, { enumerable: !0, configurable: !0, writable: !0, value: n }) : e[t] = n, X = (e, t, n) => (wo(e, typeof t != "symbol" ? t + "" : t, n), n), D = /* @__PURE__ */ ((e) => (e.REQUEST_ERROR = "REQUEST_ERROR", e.NO_RESPONSE = "NO_RESPONSE", e.NO_RESPONSE_TIMEOUT = "NO_RESPONSE_TIMEOUT", e.NO_RESPONSE_OFFLINE = "NO_RESPONSE_OFFLINE", e.DISPATCH_RESPONSE = "DISPATCH_RESPONSE", e.DEAL_ERROR = "DEAL_ERROR", e.NO_BUSINESS_CODE = "NO_BUSINESS_CODE", e.NO_NETWORK_CODE = "NO_NETWORK_CODE", e.ABORT = "ABORT", e))(D || {});
class Z extends Error {
  constructor({ message: t, code: n, isBusinessError: r }) {
    super(t), X(this, "code"), X(this, "isBusinessError"), X(this, "message"), this.message = t, this.code = n, this.isBusinessError = r, this.name = "DC Request ERROR";
  }
}
class de extends Z {
  /**
   * @param cause 错误原因
   */
  constructor({
    message: t,
    code: n,
    cause: r
  }) {
    super({ message: t, code: n, isBusinessError: !1 }), X(this, "cause"), this.cause = r;
  }
}
class Pn extends Z {
  constructor({ message: t, code: n }) {
    super({ message: t, code: n, isBusinessError: !0 });
  }
}
var B = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function gt(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Oo = 200, yt = "__lodash_hash_undefined__", So = 1 / 0, xn = 9007199254740991, To = "[object Arguments]", Ao = "[object Function]", Co = "[object GeneratorFunction]", No = "[object Symbol]", jo = /[\\^$.*+?()[\]{}|]/g, Po = /^\[object .+?Constructor\]$/, xo = /^(?:0|[1-9]\d*)$/, Uo = typeof B == "object" && B && B.Object === Object && B, Fo = typeof self == "object" && self && self.Object === Object && self, _t = Uo || Fo || Function("return this")();
function $o(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Lo(e, t) {
  var n = e ? e.length : 0;
  return !!n && Io(e, t, 0) > -1;
}
function Do(e, t, n) {
  for (var r = -1, o = e ? e.length : 0; ++r < o; )
    if (n(t, e[r]))
      return !0;
  return !1;
}
function Un(e, t) {
  for (var n = -1, r = e ? e.length : 0, o = Array(r); ++n < r; )
    o[n] = t(e[n], n, e);
  return o;
}
function bt(e, t) {
  for (var n = -1, r = t.length, o = e.length; ++n < r; )
    e[o + n] = t[n];
  return e;
}
function Bo(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function Io(e, t, n) {
  if (t !== t)
    return Bo(e, ko, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function ko(e) {
  return e !== e;
}
function Mo(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function qo(e) {
  return function(t) {
    return e(t);
  };
}
function Ho(e, t) {
  return e.has(t);
}
function Go(e, t) {
  return e == null ? void 0 : e[t];
}
function Ko(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function Fn(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var Wo = Array.prototype, zo = Function.prototype, Fe = Object.prototype, et = _t["__core-js_shared__"], Ht = function() {
  var e = /[^.]+$/.exec(et && et.keys && et.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), $n = zo.toString, ee = Fe.hasOwnProperty, Et = Fe.toString, Jo = RegExp(
  "^" + $n.call(ee).replace(jo, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), Gt = _t.Symbol, Vo = Fn(Object.getPrototypeOf, Object), Xo = Fe.propertyIsEnumerable, Qo = Wo.splice, Kt = Gt ? Gt.isConcatSpreadable : void 0, at = Object.getOwnPropertySymbols, Wt = Math.max, Zo = Dn(_t, "Map"), he = Dn(Object, "create");
function G(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function Yo() {
  this.__data__ = he ? he(null) : {};
}
function es(e) {
  return this.has(e) && delete this.__data__[e];
}
function ts(e) {
  var t = this.__data__;
  if (he) {
    var n = t[e];
    return n === yt ? void 0 : n;
  }
  return ee.call(t, e) ? t[e] : void 0;
}
function ns(e) {
  var t = this.__data__;
  return he ? t[e] !== void 0 : ee.call(t, e);
}
function rs(e, t) {
  var n = this.__data__;
  return n[e] = he && t === void 0 ? yt : t, this;
}
G.prototype.clear = Yo;
G.prototype.delete = es;
G.prototype.get = ts;
G.prototype.has = ns;
G.prototype.set = rs;
function te(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function os() {
  this.__data__ = [];
}
function ss(e) {
  var t = this.__data__, n = $e(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : Qo.call(t, n, 1), !0;
}
function is(e) {
  var t = this.__data__, n = $e(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function as(e) {
  return $e(this.__data__, e) > -1;
}
function cs(e, t) {
  var n = this.__data__, r = $e(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
te.prototype.clear = os;
te.prototype.delete = ss;
te.prototype.get = is;
te.prototype.has = as;
te.prototype.set = cs;
function ne(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function us() {
  this.__data__ = {
    hash: new G(),
    map: new (Zo || te)(),
    string: new G()
  };
}
function ls(e) {
  return Le(this, e).delete(e);
}
function fs(e) {
  return Le(this, e).get(e);
}
function ps(e) {
  return Le(this, e).has(e);
}
function ds(e, t) {
  return Le(this, e).set(e, t), this;
}
ne.prototype.clear = us;
ne.prototype.delete = ls;
ne.prototype.get = fs;
ne.prototype.has = ps;
ne.prototype.set = ds;
function Ce(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.__data__ = new ne(); ++t < n; )
    this.add(e[t]);
}
function hs(e) {
  return this.__data__.set(e, yt), this;
}
function ms(e) {
  return this.__data__.has(e);
}
Ce.prototype.add = Ce.prototype.push = hs;
Ce.prototype.has = ms;
function gs(e, t) {
  var n = Rt(e) || Bn(e) ? Mo(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || ee.call(e, s)) && !(o && (s == "length" || Cs(s, r))) && n.push(s);
  return n;
}
function $e(e, t) {
  for (var n = e.length; n--; )
    if ($s(e[n][0], t))
      return n;
  return -1;
}
function ys(e, t, n, r) {
  var o = -1, s = Lo, i = !0, a = e.length, f = [], l = t.length;
  if (!a)
    return f;
  n && (t = Un(t, qo(n))), r ? (s = Do, i = !1) : t.length >= Oo && (s = Ho, i = !1, t = new Ce(t));
  e:
    for (; ++o < a; ) {
      var c = e[o], p = n ? n(c) : c;
      if (c = r || c !== 0 ? c : 0, i && p === p) {
        for (var g = l; g--; )
          if (t[g] === p)
            continue e;
        f.push(c);
      } else
        s(t, p, r) || f.push(c);
    }
  return f;
}
function Ln(e, t, n, r, o) {
  var s = -1, i = e.length;
  for (n || (n = As), o || (o = []); ++s < i; ) {
    var a = e[s];
    t > 0 && n(a) ? t > 1 ? Ln(a, t - 1, n, r, o) : bt(o, a) : r || (o[o.length] = a);
  }
  return o;
}
function _s(e, t, n) {
  var r = t(e);
  return Rt(e) ? r : bt(r, n(e));
}
function bs(e) {
  if (!vt(e) || js(e))
    return !1;
  var t = kn(e) || Ko(e) ? Jo : Po;
  return t.test(Fs(e));
}
function Es(e) {
  if (!vt(e))
    return xs(e);
  var t = Ps(e), n = [];
  for (var r in e)
    r == "constructor" && (t || !ee.call(e, r)) || n.push(r);
  return n;
}
function Rs(e, t) {
  return e = Object(e), vs(e, t, function(n, r) {
    return r in e;
  });
}
function vs(e, t, n) {
  for (var r = -1, o = t.length, s = {}; ++r < o; ) {
    var i = t[r], a = e[i];
    n(a, i) && (s[i] = a);
  }
  return s;
}
function ws(e, t) {
  return t = Wt(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = Wt(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, $o(e, this, i);
  };
}
function Os(e) {
  return _s(e, Is, Ts);
}
function Le(e, t) {
  var n = e.__data__;
  return Ns(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function Dn(e, t) {
  var n = Go(e, t);
  return bs(n) ? n : void 0;
}
var Ss = at ? Fn(at, Object) : qn, Ts = at ? function(e) {
  for (var t = []; e; )
    bt(t, Ss(e)), e = Vo(e);
  return t;
} : qn;
function As(e) {
  return Rt(e) || Bn(e) || !!(Kt && e && e[Kt]);
}
function Cs(e, t) {
  return t = t ?? xn, !!t && (typeof e == "number" || xo.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function Ns(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function js(e) {
  return !!Ht && Ht in e;
}
function Ps(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || Fe;
  return e === n;
}
function xs(e) {
  var t = [];
  if (e != null)
    for (var n in Object(e))
      t.push(n);
  return t;
}
function Us(e) {
  if (typeof e == "string" || Bs(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -So ? "-0" : t;
}
function Fs(e) {
  if (e != null) {
    try {
      return $n.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function $s(e, t) {
  return e === t || e !== e && t !== t;
}
function Bn(e) {
  return Ls(e) && ee.call(e, "callee") && (!Xo.call(e, "callee") || Et.call(e) == To);
}
var Rt = Array.isArray;
function In(e) {
  return e != null && Ds(e.length) && !kn(e);
}
function Ls(e) {
  return Mn(e) && In(e);
}
function kn(e) {
  var t = vt(e) ? Et.call(e) : "";
  return t == Ao || t == Co;
}
function Ds(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= xn;
}
function vt(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function Mn(e) {
  return !!e && typeof e == "object";
}
function Bs(e) {
  return typeof e == "symbol" || Mn(e) && Et.call(e) == No;
}
function Is(e) {
  return In(e) ? gs(e, !0) : Es(e);
}
var ks = ws(function(e, t) {
  return e == null ? {} : (t = Un(Ln(t, 1), Us), Rs(e, ys(Os(e), t)));
});
function qn() {
  return [];
}
var Ms = ks;
const qs = /* @__PURE__ */ gt(Ms);
var I = /* @__PURE__ */ ((e) => (e.LOG = "log", e.WARN = "warn", e.ERROR = "error", e))(I || {}), C = /* @__PURE__ */ ((e) => (e.BEFORE = "1 发起请求前阶段", e.BEFORE_ERROR = "1.1 发起请求前阶段出错", e.BEFORE_ERROR_ORIGIN = "1.1.1 发起请求前阶段-原始错误", e.BEFORE_ERROR_PACK = "1.1.2 发起请求前阶段-包装后错误", e.NETWORK = "2 网络阶段", e.NETWORK_SUCCESS = "2.1 网络成功阶段", e.NETWORK_SUCCESS_BUSINESS_SUCCESS = "2.1.1 网路成功且业务成功", e.NETWORK_SUCCESS_BUSINESS_FAIL = "2.1.2 网络成功但业务失败", e.NETWORK_SUCCESS_DISPATCH_ERROR = "2.1.3 网络成功但分发业务结果出错", e.NETWORK_ERROR = "2.2 网络出错阶段", e.NETWORK_ERROR_ORIGIN = "2.2.1 网络出错阶段-原始错误", e.NETWORK_ERROR_PACK = "2.2.2 网络出错阶段-包装后错误", e.DEAL_ERROR = "3 处理错误阶段", e.DEAL_ERROR_ERROR = "3.1 处理错误阶段出错", e.DEAL_ERROR_RESULT = "3.2 处理错误结果", e.DEAL_ERROR_RESULT_RELOAD = "3.2.1 处理错误结果-重新请求", e.DEAL_ERROR_RESULT_CONTINUE = "3.2.2 处理错误结果-正常抛错", e))(C || {});
const j = ({
  stage: e,
  data: t
}, n = "log") => {
  console[n](
    e,
    t instanceof Z ? qs({ ...t }, "cause") : t
  );
}, fe = (e) => e instanceof Error ? e.message : "未知错误", Hs = async (e, {
  getBusinessCode: t,
  getBusinessMsg: n,
  getBusinessData: r,
  businessSuccessCodeList: o = [200],
  isSuccessBusinessCode: s
}, i) => {
  i && j(
    { stage: C.NETWORK_SUCCESS, data: e },
    I.LOG
  );
  try {
    const a = t(e), f = n(e);
    if (s ? s(a) : o.includes(a)) {
      const l = {
        code: a,
        data: r(e),
        message: f
      };
      return i && j(
        {
          stage: C.NETWORK_SUCCESS_BUSINESS_SUCCESS,
          data: l
        },
        I.LOG
      ), l;
    } else {
      if (a === void 0)
        throw new Error("业务code未定义");
      const l = new Pn({
        code: a,
        message: f ?? "未知错误"
      });
      return i && j(
        {
          stage: C.NETWORK_SUCCESS_BUSINESS_FAIL,
          data: l
        },
        I.ERROR
      ), Promise.reject(l);
    }
  } catch (a) {
    i && j(
      {
        stage: C.NETWORK_SUCCESS_DISPATCH_ERROR,
        data: a
      },
      I.ERROR
    );
    const f = new de({
      code: D.DISPATCH_RESPONSE,
      message: fe(a) ?? "分发响应结果执行出错",
      cause: a
    });
    return Promise.reject(f);
  }
}, Gs = (e, t) => (...n) => {
  try {
    return e(...n);
  } catch (r) {
    return console.error(e.name, r, e), t;
  }
}, zt = (e, t) => (...n) => e(...n).catch((r) => (console.error(e.name, r, e), t));
var Hn = 9007199254740991, Ks = "[object Arguments]", Ws = "[object Function]", zs = "[object GeneratorFunction]", Js = /^(?:0|[1-9]\d*)$/;
function Vs(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Xs(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function Qs(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var De = Object.prototype, Ee = De.hasOwnProperty, Gn = De.toString, Kn = De.propertyIsEnumerable, Zs = Qs(Object.keys, Object), Jt = Math.max, Ys = !Kn.call({ valueOf: 1 }, "valueOf");
function ei(e, t) {
  var n = ai(e) || ii(e) ? Xs(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || Ee.call(e, s)) && !(o && (s == "length" || zn(s, r))) && n.push(s);
  return n;
}
function Wn(e, t, n) {
  var r = e[t];
  (!(Ee.call(e, t) && Vn(r, n)) || n === void 0 && !(t in e)) && (e[t] = n);
}
function ti(e) {
  if (!Jn(e))
    return Zs(e);
  var t = [];
  for (var n in Object(e))
    Ee.call(e, n) && n != "constructor" && t.push(n);
  return t;
}
function ni(e, t) {
  return t = Jt(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = Jt(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, Vs(e, this, i);
  };
}
function ri(e, t, n, r) {
  n || (n = {});
  for (var o = -1, s = t.length; ++o < s; ) {
    var i = t[o], a = r ? r(n[i], e[i], i, n, e) : void 0;
    Wn(n, i, a === void 0 ? e[i] : a);
  }
  return n;
}
function oi(e) {
  return ni(function(t, n) {
    var r = -1, o = n.length, s = o > 1 ? n[o - 1] : void 0, i = o > 2 ? n[2] : void 0;
    for (s = e.length > 3 && typeof s == "function" ? (o--, s) : void 0, i && si(n[0], n[1], i) && (s = o < 3 ? void 0 : s, o = 1), t = Object(t); ++r < o; ) {
      var a = n[r];
      a && e(t, a, r, s);
    }
    return t;
  });
}
function zn(e, t) {
  return t = t ?? Hn, !!t && (typeof e == "number" || Js.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function si(e, t, n) {
  if (!Xn(n))
    return !1;
  var r = typeof t;
  return (r == "number" ? Be(n) && zn(t, n.length) : r == "string" && t in n) ? Vn(n[t], e) : !1;
}
function Jn(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || De;
  return e === n;
}
function Vn(e, t) {
  return e === t || e !== e && t !== t;
}
function ii(e) {
  return ci(e) && Ee.call(e, "callee") && (!Kn.call(e, "callee") || Gn.call(e) == Ks);
}
var ai = Array.isArray;
function Be(e) {
  return e != null && li(e.length) && !ui(e);
}
function ci(e) {
  return fi(e) && Be(e);
}
function ui(e) {
  var t = Xn(e) ? Gn.call(e) : "";
  return t == Ws || t == zs;
}
function li(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= Hn;
}
function Xn(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function fi(e) {
  return !!e && typeof e == "object";
}
var pi = oi(function(e, t) {
  if (Ys || Jn(t) || Be(t)) {
    ri(t, di(t), e);
    return;
  }
  for (var n in t)
    Ee.call(t, n) && Wn(e, n, t[n]);
});
function di(e) {
  return Be(e) ? ei(e) : ti(e);
}
var hi = pi;
const Vt = /* @__PURE__ */ gt(hi);
var mi = "Expected a function", Xt = "__lodash_placeholder__", K = 1, Ie = 2, gi = 4, H = 8, pe = 16, Q = 32, me = 64, Qn = 128, yi = 256, Zn = 512, Qt = 1 / 0, _i = 9007199254740991, bi = 17976931348623157e292, Zt = NaN, Ei = [
  ["ary", Qn],
  ["bind", K],
  ["bindKey", Ie],
  ["curry", H],
  ["curryRight", pe],
  ["flip", Zn],
  ["partial", Q],
  ["partialRight", me],
  ["rearg", yi]
], Ri = "[object Function]", vi = "[object GeneratorFunction]", wi = "[object Symbol]", Oi = /[\\^$.*+?()[\]{}|]/g, Si = /^\s+|\s+$/g, Ti = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/, Ai = /\{\n\/\* \[wrapped with (.+)\] \*/, Ci = /,? & /, Ni = /^[-+]0x[0-9a-f]+$/i, ji = /^0b[01]+$/i, Pi = /^\[object .+?Constructor\]$/, xi = /^0o[0-7]+$/i, Ui = /^(?:0|[1-9]\d*)$/, Fi = parseInt, $i = typeof B == "object" && B && B.Object === Object && B, Li = typeof self == "object" && self && self.Object === Object && self, Re = $i || Li || Function("return this")();
function Yn(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Di(e, t) {
  for (var n = -1, r = e ? e.length : 0; ++n < r && t(e[n], n, e) !== !1; )
    ;
  return e;
}
function Bi(e, t) {
  var n = e ? e.length : 0;
  return !!n && ki(e, t, 0) > -1;
}
function Ii(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function ki(e, t, n) {
  if (t !== t)
    return Ii(e, Mi, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function Mi(e) {
  return e !== e;
}
function qi(e, t) {
  for (var n = e.length, r = 0; n--; )
    e[n] === t && r++;
  return r;
}
function Hi(e, t) {
  return e == null ? void 0 : e[t];
}
function Gi(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function er(e, t) {
  for (var n = -1, r = e.length, o = 0, s = []; ++n < r; ) {
    var i = e[n];
    (i === t || i === Xt) && (e[n] = Xt, s[o++] = n);
  }
  return s;
}
var Ki = Function.prototype, tr = Object.prototype, tt = Re["__core-js_shared__"], Yt = function() {
  var e = /[^.]+$/.exec(tt && tt.keys && tt.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), nr = Ki.toString, Wi = tr.hasOwnProperty, rr = tr.toString, zi = RegExp(
  "^" + nr.call(Wi).replace(Oi, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), Ji = Object.create, Ne = Math.max, Vi = Math.min, en = function() {
  var e = tn(Object, "defineProperty"), t = tn.name;
  return t && t.length > 2 ? e : void 0;
}();
function Xi(e) {
  return Y(e) ? Ji(e) : {};
}
function Qi(e) {
  if (!Y(e) || ca(e))
    return !1;
  var t = pa(e) || Gi(e) ? zi : Pi;
  return t.test(la(e));
}
function Zi(e, t, n, r) {
  for (var o = -1, s = e.length, i = n.length, a = -1, f = t.length, l = Ne(s - i, 0), c = Array(f + l), p = !r; ++a < f; )
    c[a] = t[a];
  for (; ++o < i; )
    (p || o < s) && (c[n[o]] = e[o]);
  for (; l--; )
    c[a++] = e[o++];
  return c;
}
function Yi(e, t, n, r) {
  for (var o = -1, s = e.length, i = -1, a = n.length, f = -1, l = t.length, c = Ne(s - a, 0), p = Array(c + l), g = !r; ++o < c; )
    p[o] = e[o];
  for (var m = o; ++f < l; )
    p[m + f] = t[f];
  for (; ++i < a; )
    (g || o < s) && (p[m + n[i]] = e[o++]);
  return p;
}
function ea(e, t) {
  var n = -1, r = e.length;
  for (t || (t = Array(r)); ++n < r; )
    t[n] = e[n];
  return t;
}
function ta(e, t, n) {
  var r = t & K, o = ge(e);
  function s() {
    var i = this && this !== Re && this instanceof s ? o : e;
    return i.apply(r ? n : this, arguments);
  }
  return s;
}
function ge(e) {
  return function() {
    var t = arguments;
    switch (t.length) {
      case 0:
        return new e();
      case 1:
        return new e(t[0]);
      case 2:
        return new e(t[0], t[1]);
      case 3:
        return new e(t[0], t[1], t[2]);
      case 4:
        return new e(t[0], t[1], t[2], t[3]);
      case 5:
        return new e(t[0], t[1], t[2], t[3], t[4]);
      case 6:
        return new e(t[0], t[1], t[2], t[3], t[4], t[5]);
      case 7:
        return new e(t[0], t[1], t[2], t[3], t[4], t[5], t[6]);
    }
    var n = Xi(e.prototype), r = e.apply(n, t);
    return Y(r) ? r : n;
  };
}
function na(e, t, n) {
  var r = ge(e);
  function o() {
    for (var s = arguments.length, i = Array(s), a = s, f = sr(o); a--; )
      i[a] = arguments[a];
    var l = s < 3 && i[0] !== f && i[s - 1] !== f ? [] : er(i, f);
    if (s -= l.length, s < n)
      return or(
        e,
        t,
        wt,
        o.placeholder,
        void 0,
        i,
        l,
        void 0,
        void 0,
        n - s
      );
    var c = this && this !== Re && this instanceof o ? r : e;
    return Yn(c, this, i);
  }
  return o;
}
function wt(e, t, n, r, o, s, i, a, f, l) {
  var c = t & Qn, p = t & K, g = t & Ie, m = t & (H | pe), d = t & Zn, y = g ? void 0 : ge(e);
  function h() {
    for (var E = arguments.length, _ = Array(E), v = E; v--; )
      _[v] = arguments[v];
    if (m)
      var A = sr(h), O = qi(_, A);
    if (r && (_ = Zi(_, r, o, m)), s && (_ = Yi(_, s, i, m)), E -= O, m && E < l) {
      var U = er(_, A);
      return or(
        e,
        t,
        wt,
        h.placeholder,
        n,
        _,
        U,
        a,
        f,
        l - E
      );
    }
    var F = p ? n : this, L = g ? F[e] : e;
    return E = _.length, a ? _ = ua(_, a) : d && E > 1 && _.reverse(), c && f < E && (_.length = f), this && this !== Re && this instanceof h && (L = y || ge(L)), L.apply(F, _);
  }
  return h;
}
function ra(e, t, n, r) {
  var o = t & K, s = ge(e);
  function i() {
    for (var a = -1, f = arguments.length, l = -1, c = r.length, p = Array(c + f), g = this && this !== Re && this instanceof i ? s : e; ++l < c; )
      p[l] = r[l];
    for (; f--; )
      p[l++] = arguments[++a];
    return Yn(g, o ? n : this, p);
  }
  return i;
}
function or(e, t, n, r, o, s, i, a, f, l) {
  var c = t & H, p = c ? i : void 0, g = c ? void 0 : i, m = c ? s : void 0, d = c ? void 0 : s;
  t |= c ? Q : me, t &= ~(c ? me : Q), t & gi || (t &= ~(K | Ie));
  var y = n(e, t, o, m, p, d, g, a, f, l);
  return y.placeholder = r, ir(y, e, t);
}
function oa(e, t, n, r, o, s, i, a) {
  var f = t & Ie;
  if (!f && typeof e != "function")
    throw new TypeError(mi);
  var l = r ? r.length : 0;
  if (l || (t &= ~(Q | me), r = o = void 0), i = i === void 0 ? i : Ne(nn(i), 0), a = a === void 0 ? a : nn(a), l -= o ? o.length : 0, t & me) {
    var c = r, p = o;
    r = o = void 0;
  }
  var g = [
    e,
    t,
    n,
    r,
    o,
    c,
    p,
    s,
    i,
    a
  ];
  if (e = g[0], t = g[1], n = g[2], r = g[3], o = g[4], a = g[9] = g[9] == null ? f ? 0 : e.length : Ne(g[9] - l, 0), !a && t & (H | pe) && (t &= ~(H | pe)), !t || t == K)
    var m = ta(e, t, n);
  else
    t == H || t == pe ? m = na(e, t, a) : (t == Q || t == (K | Q)) && !o.length ? m = ra(e, t, n, r) : m = wt.apply(void 0, g);
  return ir(m, e, t);
}
function sr(e) {
  var t = e;
  return t.placeholder;
}
function tn(e, t) {
  var n = Hi(e, t);
  return Qi(n) ? n : void 0;
}
function sa(e) {
  var t = e.match(Ai);
  return t ? t[1].split(Ci) : [];
}
function ia(e, t) {
  var n = t.length, r = n - 1;
  return t[r] = (n > 1 ? "& " : "") + t[r], t = t.join(n > 2 ? ", " : " "), e.replace(Ti, `{
/* [wrapped with ` + t + `] */
`);
}
function aa(e, t) {
  return t = t ?? _i, !!t && (typeof e == "number" || Ui.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function ca(e) {
  return !!Yt && Yt in e;
}
function ua(e, t) {
  for (var n = e.length, r = Vi(t.length, n), o = ea(e); r--; ) {
    var s = t[r];
    e[r] = aa(s, n) ? o[s] : void 0;
  }
  return e;
}
var ir = en ? function(e, t, n) {
  var r = t + "";
  return en(e, "toString", {
    configurable: !0,
    enumerable: !1,
    value: ya(ia(r, fa(sa(r), n)))
  });
} : _a;
function la(e) {
  if (e != null) {
    try {
      return nr.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function fa(e, t) {
  return Di(Ei, function(n) {
    var r = "_." + n[0];
    t & n[1] && !Bi(e, r) && e.push(r);
  }), e.sort();
}
function Ot(e, t, n) {
  t = n ? void 0 : t;
  var r = oa(e, H, void 0, void 0, void 0, void 0, void 0, t);
  return r.placeholder = Ot.placeholder, r;
}
function pa(e) {
  var t = Y(e) ? rr.call(e) : "";
  return t == Ri || t == vi;
}
function Y(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function da(e) {
  return !!e && typeof e == "object";
}
function ha(e) {
  return typeof e == "symbol" || da(e) && rr.call(e) == wi;
}
function ma(e) {
  if (!e)
    return e === 0 ? e : 0;
  if (e = ga(e), e === Qt || e === -Qt) {
    var t = e < 0 ? -1 : 1;
    return t * bi;
  }
  return e === e ? e : 0;
}
function nn(e) {
  var t = ma(e), n = t % 1;
  return t === t ? n ? t - n : t : 0;
}
function ga(e) {
  if (typeof e == "number")
    return e;
  if (ha(e))
    return Zt;
  if (Y(e)) {
    var t = typeof e.valueOf == "function" ? e.valueOf() : e;
    e = Y(t) ? t + "" : t;
  }
  if (typeof e != "string")
    return e === 0 ? e : +e;
  e = e.replace(Si, "");
  var n = ji.test(e);
  return n || xi.test(e) ? Fi(e.slice(2), n ? 2 : 8) : Ni.test(e) ? Zt : +e;
}
function ya(e) {
  return function() {
    return e;
  };
}
function _a(e) {
  return e;
}
Ot.placeholder = {};
var ba = Ot;
const Ea = /* @__PURE__ */ gt(ba), Ra = async ({
  cacheOptions: e,
  cacheConfig: t,
  apiConfig: n
}) => {
  const r = t.useCache && !!e;
  let o = "";
  r && (o = Gs(e.getKey, "")(n));
  const s = r ? await zt(
    e.getCache,
    Promise.resolve(void 0)
  )(o) : void 0, i = r ? zt(
    Ea(e.setCache)(o),
    Promise.resolve()
  ) : void 0;
  return {
    cacheEnabled: r,
    cacheKey: o,
    cacheResult: s,
    setCache: i
  };
}, va = (e, t) => {
  try {
    return e();
  } catch (n) {
    return t && j(
      {
        stage: C.DEAL_ERROR_ERROR,
        data: n
      },
      I.ERROR
    ), {
      canShowErrorToast: !0,
      newError: new de({
        code: D.DEAL_ERROR,
        message: fe(n) ?? "处理RequestFailResult错误时出错",
        cause: n
      }),
      reload: !1
    };
  }
};
class wa {
  constructor(t) {
    X(this, "options"), X(this, "request", async (n, r = !1) => {
      var o;
      r && j({
        stage: C.BEFORE,
        data: n
      });
      const { uiConfig: s = {}, cacheConfig: i = {}, ...a } = n, f = Vt({}, this.uiConfig, s), l = Vt({}, this.cacheConfig, i), { cacheResult: c, setCache: p } = await Ra({
        cacheOptions: this.cacheFn,
        cacheConfig: l,
        apiConfig: n
      });
      if (c)
        return c;
      const g = {
        uiConfig: f,
        cacheConfig: l
      }, m = {
        ...a,
        BASE_PATH: this.basePath,
        TIMEOUT: this.timeout,
        debug: r
      };
      try {
        const d = await this.issue(m, g);
        return p == null || p(d, l), d;
      } catch (d) {
        const y = await va(() => {
          var h;
          return r && j({
            stage: C.DEAL_ERROR,
            data: d
          }), ((h = this.beforeError) == null ? void 0 : h.call(this, d, {
            apiConfig: n,
            extendConfig: g
          })) || {
            canShowErrorToast: !0,
            newError: d
          };
        }, r);
        if (y.reload)
          return r && j({
            stage: C.DEAL_ERROR_RESULT_RELOAD
          }), this.request(n, r);
        {
          const { newError: h, canShowErrorToast: E = !0 } = y;
          E && (f.errorToast ?? !0) && ((o = this.showToast) == null || o.call(this, h.message));
          let _;
          return h instanceof Z ? _ = h : h.isBusinessError ? _ = new Pn(h) : _ = new de(h), r && j({
            stage: C.DEAL_ERROR_RESULT_CONTINUE,
            data: _
          }), Promise.reject(_);
        }
      }
    }), this.options = t;
  }
  get basePath() {
    return this.options.basePath;
  }
  get timeout() {
    return this.options.timeout;
  }
  get uiConfig() {
    return this.options.uiConfig || {};
  }
  get cacheConfig() {
    return this.options.cacheConfig || {};
  }
  /** 缓存相关方法 */
  get cacheFn() {
    return this.options.cache;
  }
  get issue() {
    return this.options.issue;
  }
  get beforeError() {
    return this.options.beforeError;
  }
  get showToast() {
    return this.options.showToast;
  }
}
const Oa = (e) => new wa(e);
var k = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function ar(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Sa = 200, St = "__lodash_hash_undefined__", Ta = 1 / 0, cr = 9007199254740991, Aa = "[object Arguments]", Ca = "[object Function]", Na = "[object GeneratorFunction]", ja = "[object Symbol]", Pa = /[\\^$.*+?()[\]{}|]/g, xa = /^\[object .+?Constructor\]$/, Ua = /^(?:0|[1-9]\d*)$/, Fa = typeof k == "object" && k && k.Object === Object && k, $a = typeof self == "object" && self && self.Object === Object && self, Tt = Fa || $a || Function("return this")();
function La(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Da(e, t) {
  var n = e ? e.length : 0;
  return !!n && ka(e, t, 0) > -1;
}
function Ba(e, t, n) {
  for (var r = -1, o = e ? e.length : 0; ++r < o; )
    if (n(t, e[r]))
      return !0;
  return !1;
}
function ur(e, t) {
  for (var n = -1, r = e ? e.length : 0, o = Array(r); ++n < r; )
    o[n] = t(e[n], n, e);
  return o;
}
function At(e, t) {
  for (var n = -1, r = t.length, o = e.length; ++n < r; )
    e[o + n] = t[n];
  return e;
}
function Ia(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function ka(e, t, n) {
  if (t !== t)
    return Ia(e, Ma, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function Ma(e) {
  return e !== e;
}
function qa(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function Ha(e) {
  return function(t) {
    return e(t);
  };
}
function Ga(e, t) {
  return e.has(t);
}
function Ka(e, t) {
  return e == null ? void 0 : e[t];
}
function Wa(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function lr(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var za = Array.prototype, Ja = Function.prototype, ke = Object.prototype, nt = Tt["__core-js_shared__"], rn = function() {
  var e = /[^.]+$/.exec(nt && nt.keys && nt.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), fr = Ja.toString, re = ke.hasOwnProperty, Ct = ke.toString, Va = RegExp(
  "^" + fr.call(re).replace(Pa, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), on = Tt.Symbol, Xa = lr(Object.getPrototypeOf, Object), Qa = ke.propertyIsEnumerable, Za = za.splice, sn = on ? on.isConcatSpreadable : void 0, ct = Object.getOwnPropertySymbols, an = Math.max, Ya = dr(Tt, "Map"), ye = dr(Object, "create");
function W(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function ec() {
  this.__data__ = ye ? ye(null) : {};
}
function tc(e) {
  return this.has(e) && delete this.__data__[e];
}
function nc(e) {
  var t = this.__data__;
  if (ye) {
    var n = t[e];
    return n === St ? void 0 : n;
  }
  return re.call(t, e) ? t[e] : void 0;
}
function rc(e) {
  var t = this.__data__;
  return ye ? t[e] !== void 0 : re.call(t, e);
}
function oc(e, t) {
  var n = this.__data__;
  return n[e] = ye && t === void 0 ? St : t, this;
}
W.prototype.clear = ec;
W.prototype.delete = tc;
W.prototype.get = nc;
W.prototype.has = rc;
W.prototype.set = oc;
function oe(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function sc() {
  this.__data__ = [];
}
function ic(e) {
  var t = this.__data__, n = Me(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : Za.call(t, n, 1), !0;
}
function ac(e) {
  var t = this.__data__, n = Me(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function cc(e) {
  return Me(this.__data__, e) > -1;
}
function uc(e, t) {
  var n = this.__data__, r = Me(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
oe.prototype.clear = sc;
oe.prototype.delete = ic;
oe.prototype.get = ac;
oe.prototype.has = cc;
oe.prototype.set = uc;
function se(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function lc() {
  this.__data__ = {
    hash: new W(),
    map: new (Ya || oe)(),
    string: new W()
  };
}
function fc(e) {
  return qe(this, e).delete(e);
}
function pc(e) {
  return qe(this, e).get(e);
}
function dc(e) {
  return qe(this, e).has(e);
}
function hc(e, t) {
  return qe(this, e).set(e, t), this;
}
se.prototype.clear = lc;
se.prototype.delete = fc;
se.prototype.get = pc;
se.prototype.has = dc;
se.prototype.set = hc;
function je(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.__data__ = new se(); ++t < n; )
    this.add(e[t]);
}
function mc(e) {
  return this.__data__.set(e, St), this;
}
function gc(e) {
  return this.__data__.has(e);
}
je.prototype.add = je.prototype.push = mc;
je.prototype.has = gc;
function yc(e, t) {
  var n = Nt(e) || hr(e) ? qa(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || re.call(e, s)) && !(o && (s == "length" || Nc(s, r))) && n.push(s);
  return n;
}
function Me(e, t) {
  for (var n = e.length; n--; )
    if (Lc(e[n][0], t))
      return n;
  return -1;
}
function _c(e, t, n, r) {
  var o = -1, s = Da, i = !0, a = e.length, f = [], l = t.length;
  if (!a)
    return f;
  n && (t = ur(t, Ha(n))), r ? (s = Ba, i = !1) : t.length >= Sa && (s = Ga, i = !1, t = new je(t));
  e:
    for (; ++o < a; ) {
      var c = e[o], p = n ? n(c) : c;
      if (c = r || c !== 0 ? c : 0, i && p === p) {
        for (var g = l; g--; )
          if (t[g] === p)
            continue e;
        f.push(c);
      } else
        s(t, p, r) || f.push(c);
    }
  return f;
}
function pr(e, t, n, r, o) {
  var s = -1, i = e.length;
  for (n || (n = Cc), o || (o = []); ++s < i; ) {
    var a = e[s];
    t > 0 && n(a) ? t > 1 ? pr(a, t - 1, n, r, o) : At(o, a) : r || (o[o.length] = a);
  }
  return o;
}
function bc(e, t, n) {
  var r = t(e);
  return Nt(e) ? r : At(r, n(e));
}
function Ec(e) {
  if (!jt(e) || Pc(e))
    return !1;
  var t = gr(e) || Wa(e) ? Va : xa;
  return t.test($c(e));
}
function Rc(e) {
  if (!jt(e))
    return Uc(e);
  var t = xc(e), n = [];
  for (var r in e)
    r == "constructor" && (t || !re.call(e, r)) || n.push(r);
  return n;
}
function vc(e, t) {
  return e = Object(e), wc(e, t, function(n, r) {
    return r in e;
  });
}
function wc(e, t, n) {
  for (var r = -1, o = t.length, s = {}; ++r < o; ) {
    var i = t[r], a = e[i];
    n(a, i) && (s[i] = a);
  }
  return s;
}
function Oc(e, t) {
  return t = an(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = an(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, La(e, this, i);
  };
}
function Sc(e) {
  return bc(e, kc, Ac);
}
function qe(e, t) {
  var n = e.__data__;
  return jc(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function dr(e, t) {
  var n = Ka(e, t);
  return Ec(n) ? n : void 0;
}
var Tc = ct ? lr(ct, Object) : _r, Ac = ct ? function(e) {
  for (var t = []; e; )
    At(t, Tc(e)), e = Xa(e);
  return t;
} : _r;
function Cc(e) {
  return Nt(e) || hr(e) || !!(sn && e && e[sn]);
}
function Nc(e, t) {
  return t = t ?? cr, !!t && (typeof e == "number" || Ua.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function jc(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function Pc(e) {
  return !!rn && rn in e;
}
function xc(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || ke;
  return e === n;
}
function Uc(e) {
  var t = [];
  if (e != null)
    for (var n in Object(e))
      t.push(n);
  return t;
}
function Fc(e) {
  if (typeof e == "string" || Ic(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -Ta ? "-0" : t;
}
function $c(e) {
  if (e != null) {
    try {
      return fr.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function Lc(e, t) {
  return e === t || e !== e && t !== t;
}
function hr(e) {
  return Dc(e) && re.call(e, "callee") && (!Qa.call(e, "callee") || Ct.call(e) == Aa);
}
var Nt = Array.isArray;
function mr(e) {
  return e != null && Bc(e.length) && !gr(e);
}
function Dc(e) {
  return yr(e) && mr(e);
}
function gr(e) {
  var t = jt(e) ? Ct.call(e) : "";
  return t == Ca || t == Na;
}
function Bc(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= cr;
}
function jt(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function yr(e) {
  return !!e && typeof e == "object";
}
function Ic(e) {
  return typeof e == "symbol" || yr(e) && Ct.call(e) == ja;
}
function kc(e) {
  return mr(e) ? yc(e, !0) : Rc(e);
}
var Mc = Oc(function(e, t) {
  return e == null ? {} : (t = ur(pr(t, 1), Fc), vc(e, _c(Sc(e), t)));
});
function _r() {
  return [];
}
var qc = Mc;
const Hc = /* @__PURE__ */ ar(qc);
var Gc = "Expected a function", br = "__lodash_hash_undefined__", Er = 1 / 0, Kc = "[object Function]", Wc = "[object GeneratorFunction]", zc = "[object Symbol]", Jc = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, Vc = /^\w*$/, Xc = /^\./, Qc = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g, Zc = /[\\^$.*+?()[\]{}|]/g, Yc = /\\(\\)?/g, eu = /^\[object .+?Constructor\]$/, tu = typeof k == "object" && k && k.Object === Object && k, nu = typeof self == "object" && self && self.Object === Object && self, Pt = tu || nu || Function("return this")();
function ru(e, t) {
  return e == null ? void 0 : e[t];
}
function ou(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
var su = Array.prototype, iu = Function.prototype, Rr = Object.prototype, rt = Pt["__core-js_shared__"], cn = function() {
  var e = /[^.]+$/.exec(rt && rt.keys && rt.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), vr = iu.toString, xt = Rr.hasOwnProperty, wr = Rr.toString, au = RegExp(
  "^" + vr.call(xt).replace(Zc, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), un = Pt.Symbol, cu = su.splice, uu = Or(Pt, "Map"), _e = Or(Object, "create"), ln = un ? un.prototype : void 0, fn = ln ? ln.toString : void 0;
function z(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function lu() {
  this.__data__ = _e ? _e(null) : {};
}
function fu(e) {
  return this.has(e) && delete this.__data__[e];
}
function pu(e) {
  var t = this.__data__;
  if (_e) {
    var n = t[e];
    return n === br ? void 0 : n;
  }
  return xt.call(t, e) ? t[e] : void 0;
}
function du(e) {
  var t = this.__data__;
  return _e ? t[e] !== void 0 : xt.call(t, e);
}
function hu(e, t) {
  var n = this.__data__;
  return n[e] = _e && t === void 0 ? br : t, this;
}
z.prototype.clear = lu;
z.prototype.delete = fu;
z.prototype.get = pu;
z.prototype.has = du;
z.prototype.set = hu;
function ie(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function mu() {
  this.__data__ = [];
}
function gu(e) {
  var t = this.__data__, n = He(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : cu.call(t, n, 1), !0;
}
function yu(e) {
  var t = this.__data__, n = He(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function _u(e) {
  return He(this.__data__, e) > -1;
}
function bu(e, t) {
  var n = this.__data__, r = He(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
ie.prototype.clear = mu;
ie.prototype.delete = gu;
ie.prototype.get = yu;
ie.prototype.has = _u;
ie.prototype.set = bu;
function V(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function Eu() {
  this.__data__ = {
    hash: new z(),
    map: new (uu || ie)(),
    string: new z()
  };
}
function Ru(e) {
  return Ge(this, e).delete(e);
}
function vu(e) {
  return Ge(this, e).get(e);
}
function wu(e) {
  return Ge(this, e).has(e);
}
function Ou(e, t) {
  return Ge(this, e).set(e, t), this;
}
V.prototype.clear = Eu;
V.prototype.delete = Ru;
V.prototype.get = vu;
V.prototype.has = wu;
V.prototype.set = Ou;
function He(e, t) {
  for (var n = e.length; n--; )
    if ($u(e[n][0], t))
      return n;
  return -1;
}
function Su(e, t) {
  t = Nu(t, e) ? [t] : Cu(t);
  for (var n = 0, r = t.length; e != null && n < r; )
    e = e[Uu(t[n++])];
  return n && n == r ? e : void 0;
}
function Tu(e) {
  if (!Tr(e) || Pu(e))
    return !1;
  var t = Lu(e) || ou(e) ? au : eu;
  return t.test(Fu(e));
}
function Au(e) {
  if (typeof e == "string")
    return e;
  if (Ft(e))
    return fn ? fn.call(e) : "";
  var t = e + "";
  return t == "0" && 1 / e == -Er ? "-0" : t;
}
function Cu(e) {
  return Sr(e) ? e : xu(e);
}
function Ge(e, t) {
  var n = e.__data__;
  return ju(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function Or(e, t) {
  var n = ru(e, t);
  return Tu(n) ? n : void 0;
}
function Nu(e, t) {
  if (Sr(e))
    return !1;
  var n = typeof e;
  return n == "number" || n == "symbol" || n == "boolean" || e == null || Ft(e) ? !0 : Vc.test(e) || !Jc.test(e) || t != null && e in Object(t);
}
function ju(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function Pu(e) {
  return !!cn && cn in e;
}
var xu = Ut(function(e) {
  e = Bu(e);
  var t = [];
  return Xc.test(e) && t.push(""), e.replace(Qc, function(n, r, o, s) {
    t.push(o ? s.replace(Yc, "$1") : r || n);
  }), t;
});
function Uu(e) {
  if (typeof e == "string" || Ft(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -Er ? "-0" : t;
}
function Fu(e) {
  if (e != null) {
    try {
      return vr.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function Ut(e, t) {
  if (typeof e != "function" || t && typeof t != "function")
    throw new TypeError(Gc);
  var n = function() {
    var r = arguments, o = t ? t.apply(this, r) : r[0], s = n.cache;
    if (s.has(o))
      return s.get(o);
    var i = e.apply(this, r);
    return n.cache = s.set(o, i), i;
  };
  return n.cache = new (Ut.Cache || V)(), n;
}
Ut.Cache = V;
function $u(e, t) {
  return e === t || e !== e && t !== t;
}
var Sr = Array.isArray;
function Lu(e) {
  var t = Tr(e) ? wr.call(e) : "";
  return t == Kc || t == Wc;
}
function Tr(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function Du(e) {
  return !!e && typeof e == "object";
}
function Ft(e) {
  return typeof e == "symbol" || Du(e) && wr.call(e) == zc;
}
function Bu(e) {
  return e == null ? "" : Au(e);
}
function Iu(e, t, n) {
  var r = e == null ? void 0 : Su(e, t);
  return r === void 0 ? n : r;
}
var ku = Iu;
const Mu = /* @__PURE__ */ ar(ku), Ar = ({
  basePath: e,
  timeout: t,
  beforeRequest: n = (f) => f,
  networkSuccessCodeList: r,
  isSuccessNetworkCode: o = (f) => Array.isArray(r) ? r.includes(f) : f >= 200 && f < 300,
  instanceCreateConfig: s = {},
  axios: i,
  ...a
}) => {
  const f = i.create({
    baseURL: e,
    timeout: t,
    ...s,
    validateStatus: o
  });
  f.interceptors.request.use(n, (c) => {
    if (c instanceof Z)
      return Promise.reject(c);
    const p = new de({
      code: D.REQUEST_ERROR,
      message: fe(c) ?? "发起请求出错",
      cause: c
    });
    return Promise.reject(p);
  });
  const { request: l } = Oa({
    ...a,
    basePath: e,
    timeout: t,
    issue: ({ TIMEOUT: c, DEBUG: p, ...g }) => f({
      timeout: c,
      ...Hc(g, ["BASE_PATH"])
    }).then((m) => Hs(m, a, p)).catch((m) => {
      if (m instanceof Z)
        return p && j(
          {
            stage: C.NETWORK_ERROR_ORIGIN,
            data: m
          },
          I.ERROR
        ), Promise.reject(m);
      const { response: d, request: y } = m;
      let h, E;
      d ? (h = d.status, E = d.statusText) : y ? (h = D.NO_RESPONSE, i.isAxiosError(m) ? m.message.includes("timeout of") ? (h = D.NO_RESPONSE_TIMEOUT, E = "请求超时") : Mu(globalThis, "navigator.onLine") === !1 ? (h = D.NO_RESPONSE_OFFLINE, E = "网络未连接") : E = m.message : E = fe(m) ?? "未响应") : (h = D.REQUEST_ERROR, E = fe(m) ?? "发起请求出错");
      const _ = new de({
        code: h,
        message: E,
        cause: m
      });
      return p && j(
        {
          stage: C.NETWORK_ERROR_PACK,
          data: _
        },
        I.ERROR
      ), Promise.reject(_);
    })
  });
  return l;
};
function Cr(e, t) {
  return function() {
    return e.apply(t, arguments);
  };
}
const { toString: qu } = Object.prototype, { getPrototypeOf: $t } = Object, Ke = ((e) => (t) => {
  const n = qu.call(t);
  return e[n] || (e[n] = n.slice(8, -1).toLowerCase());
})(/* @__PURE__ */ Object.create(null)), x = (e) => (e = e.toLowerCase(), (t) => Ke(t) === e), We = (e) => (t) => typeof t === e, { isArray: ae } = Array, be = We("undefined");
function Hu(e) {
  return e !== null && !be(e) && e.constructor !== null && !be(e.constructor) && T(e.constructor.isBuffer) && e.constructor.isBuffer(e);
}
const Nr = x("ArrayBuffer");
function Gu(e) {
  let t;
  return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? t = ArrayBuffer.isView(e) : t = e && e.buffer && Nr(e.buffer), t;
}
const Ku = We("string"), T = We("function"), jr = We("number"), ze = (e) => e !== null && typeof e == "object", Wu = (e) => e === !0 || e === !1, Oe = (e) => {
  if (Ke(e) !== "object")
    return !1;
  const t = $t(e);
  return (t === null || t === Object.prototype || Object.getPrototypeOf(t) === null) && !(Symbol.toStringTag in e) && !(Symbol.iterator in e);
}, zu = x("Date"), Ju = x("File"), Vu = x("Blob"), Xu = x("FileList"), Qu = (e) => ze(e) && T(e.pipe), Zu = (e) => {
  let t;
  return e && (typeof FormData == "function" && e instanceof FormData || T(e.append) && ((t = Ke(e)) === "formdata" || // detect form-data instance
  t === "object" && T(e.toString) && e.toString() === "[object FormData]"));
}, Yu = x("URLSearchParams"), [el, tl, nl, rl] = ["ReadableStream", "Request", "Response", "Headers"].map(x), ol = (e) => e.trim ? e.trim() : e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
function ve(e, t, { allOwnKeys: n = !1 } = {}) {
  if (e === null || typeof e > "u")
    return;
  let r, o;
  if (typeof e != "object" && (e = [e]), ae(e))
    for (r = 0, o = e.length; r < o; r++)
      t.call(null, e[r], r, e);
  else {
    const s = n ? Object.getOwnPropertyNames(e) : Object.keys(e), i = s.length;
    let a;
    for (r = 0; r < i; r++)
      a = s[r], t.call(null, e[a], a, e);
  }
}
function Pr(e, t) {
  t = t.toLowerCase();
  const n = Object.keys(e);
  let r = n.length, o;
  for (; r-- > 0; )
    if (o = n[r], t === o.toLowerCase())
      return o;
  return null;
}
const q = (() => typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : global)(), xr = (e) => !be(e) && e !== q;
function ut() {
  const { caseless: e } = xr(this) && this || {}, t = {}, n = (r, o) => {
    const s = e && Pr(t, o) || o;
    Oe(t[s]) && Oe(r) ? t[s] = ut(t[s], r) : Oe(r) ? t[s] = ut({}, r) : ae(r) ? t[s] = r.slice() : t[s] = r;
  };
  for (let r = 0, o = arguments.length; r < o; r++)
    arguments[r] && ve(arguments[r], n);
  return t;
}
const sl = (e, t, n, { allOwnKeys: r } = {}) => (ve(t, (o, s) => {
  n && T(o) ? e[s] = Cr(o, n) : e[s] = o;
}, { allOwnKeys: r }), e), il = (e) => (e.charCodeAt(0) === 65279 && (e = e.slice(1)), e), al = (e, t, n, r) => {
  e.prototype = Object.create(t.prototype, r), e.prototype.constructor = e, Object.defineProperty(e, "super", {
    value: t.prototype
  }), n && Object.assign(e.prototype, n);
}, cl = (e, t, n, r) => {
  let o, s, i;
  const a = {};
  if (t = t || {}, e == null)
    return t;
  do {
    for (o = Object.getOwnPropertyNames(e), s = o.length; s-- > 0; )
      i = o[s], (!r || r(i, e, t)) && !a[i] && (t[i] = e[i], a[i] = !0);
    e = n !== !1 && $t(e);
  } while (e && (!n || n(e, t)) && e !== Object.prototype);
  return t;
}, ul = (e, t, n) => {
  e = String(e), (n === void 0 || n > e.length) && (n = e.length), n -= t.length;
  const r = e.indexOf(t, n);
  return r !== -1 && r === n;
}, ll = (e) => {
  if (!e)
    return null;
  if (ae(e))
    return e;
  let t = e.length;
  if (!jr(t))
    return null;
  const n = new Array(t);
  for (; t-- > 0; )
    n[t] = e[t];
  return n;
}, fl = ((e) => (t) => e && t instanceof e)(typeof Uint8Array < "u" && $t(Uint8Array)), pl = (e, t) => {
  const r = (e && e[Symbol.iterator]).call(e);
  let o;
  for (; (o = r.next()) && !o.done; ) {
    const s = o.value;
    t.call(e, s[0], s[1]);
  }
}, dl = (e, t) => {
  let n;
  const r = [];
  for (; (n = e.exec(t)) !== null; )
    r.push(n);
  return r;
}, hl = x("HTMLFormElement"), ml = (e) => e.toLowerCase().replace(
  /[-_\s]([a-z\d])(\w*)/g,
  function(n, r, o) {
    return r.toUpperCase() + o;
  }
), pn = (({ hasOwnProperty: e }) => (t, n) => e.call(t, n))(Object.prototype), gl = x("RegExp"), Ur = (e, t) => {
  const n = Object.getOwnPropertyDescriptors(e), r = {};
  ve(n, (o, s) => {
    let i;
    (i = t(o, s, e)) !== !1 && (r[s] = i || o);
  }), Object.defineProperties(e, r);
}, yl = (e) => {
  Ur(e, (t, n) => {
    if (T(e) && ["arguments", "caller", "callee"].indexOf(n) !== -1)
      return !1;
    const r = e[n];
    if (T(r)) {
      if (t.enumerable = !1, "writable" in t) {
        t.writable = !1;
        return;
      }
      t.set || (t.set = () => {
        throw Error("Can not rewrite read-only method '" + n + "'");
      });
    }
  });
}, _l = (e, t) => {
  const n = {}, r = (o) => {
    o.forEach((s) => {
      n[s] = !0;
    });
  };
  return ae(e) ? r(e) : r(String(e).split(t)), n;
}, bl = () => {
}, El = (e, t) => e != null && Number.isFinite(e = +e) ? e : t;
function Rl(e) {
  return !!(e && T(e.append) && e[Symbol.toStringTag] === "FormData" && e[Symbol.iterator]);
}
const vl = (e) => {
  const t = new Array(10), n = (r, o) => {
    if (ze(r)) {
      if (t.indexOf(r) >= 0)
        return;
      if (!("toJSON" in r)) {
        t[o] = r;
        const s = ae(r) ? [] : {};
        return ve(r, (i, a) => {
          const f = n(i, o + 1);
          !be(f) && (s[a] = f);
        }), t[o] = void 0, s;
      }
    }
    return r;
  };
  return n(e, 0);
}, wl = x("AsyncFunction"), Ol = (e) => e && (ze(e) || T(e)) && T(e.then) && T(e.catch), Fr = ((e, t) => e ? setImmediate : t ? ((n, r) => (q.addEventListener("message", ({ source: o, data: s }) => {
  o === q && s === n && r.length && r.shift()();
}, !1), (o) => {
  r.push(o), q.postMessage(n, "*");
}))(`axios@${Math.random()}`, []) : (n) => setTimeout(n))(
  typeof setImmediate == "function",
  T(q.postMessage)
), Sl = typeof queueMicrotask < "u" ? queueMicrotask.bind(q) : typeof process < "u" && process.nextTick || Fr, u = {
  isArray: ae,
  isArrayBuffer: Nr,
  isBuffer: Hu,
  isFormData: Zu,
  isArrayBufferView: Gu,
  isString: Ku,
  isNumber: jr,
  isBoolean: Wu,
  isObject: ze,
  isPlainObject: Oe,
  isReadableStream: el,
  isRequest: tl,
  isResponse: nl,
  isHeaders: rl,
  isUndefined: be,
  isDate: zu,
  isFile: Ju,
  isBlob: Vu,
  isRegExp: gl,
  isFunction: T,
  isStream: Qu,
  isURLSearchParams: Yu,
  isTypedArray: fl,
  isFileList: Xu,
  forEach: ve,
  merge: ut,
  extend: sl,
  trim: ol,
  stripBOM: il,
  inherits: al,
  toFlatObject: cl,
  kindOf: Ke,
  kindOfTest: x,
  endsWith: ul,
  toArray: ll,
  forEachEntry: pl,
  matchAll: dl,
  isHTMLForm: hl,
  hasOwnProperty: pn,
  hasOwnProp: pn,
  // an alias to avoid ESLint no-prototype-builtins detection
  reduceDescriptors: Ur,
  freezeMethods: yl,
  toObjectSet: _l,
  toCamelCase: ml,
  noop: bl,
  toFiniteNumber: El,
  findKey: Pr,
  global: q,
  isContextDefined: xr,
  isSpecCompliantForm: Rl,
  toJSONObject: vl,
  isAsyncFn: wl,
  isThenable: Ol,
  setImmediate: Fr,
  asap: Sl
};
function b(e, t, n, r, o) {
  Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = e, this.name = "AxiosError", t && (this.code = t), n && (this.config = n), r && (this.request = r), o && (this.response = o, this.status = o.status ? o.status : null);
}
u.inherits(b, Error, {
  toJSON: function() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: u.toJSONObject(this.config),
      code: this.code,
      status: this.status
    };
  }
});
const $r = b.prototype, Lr = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED",
  "ERR_NOT_SUPPORT",
  "ERR_INVALID_URL"
  // eslint-disable-next-line func-names
].forEach((e) => {
  Lr[e] = { value: e };
});
Object.defineProperties(b, Lr);
Object.defineProperty($r, "isAxiosError", { value: !0 });
b.from = (e, t, n, r, o, s) => {
  const i = Object.create($r);
  return u.toFlatObject(e, i, function(f) {
    return f !== Error.prototype;
  }, (a) => a !== "isAxiosError"), b.call(i, e.message, t, n, r, o), i.cause = e, i.name = e.name, s && Object.assign(i, s), i;
};
const Tl = null;
function lt(e) {
  return u.isPlainObject(e) || u.isArray(e);
}
function Dr(e) {
  return u.endsWith(e, "[]") ? e.slice(0, -2) : e;
}
function dn(e, t, n) {
  return e ? e.concat(t).map(function(o, s) {
    return o = Dr(o), !n && s ? "[" + o + "]" : o;
  }).join(n ? "." : "") : t;
}
function Al(e) {
  return u.isArray(e) && !e.some(lt);
}
const Cl = u.toFlatObject(u, {}, null, function(t) {
  return /^is[A-Z]/.test(t);
});
function Je(e, t, n) {
  if (!u.isObject(e))
    throw new TypeError("target must be an object");
  t = t || new FormData(), n = u.toFlatObject(n, {
    metaTokens: !0,
    dots: !1,
    indexes: !1
  }, !1, function(y, h) {
    return !u.isUndefined(h[y]);
  });
  const r = n.metaTokens, o = n.visitor || c, s = n.dots, i = n.indexes, f = (n.Blob || typeof Blob < "u" && Blob) && u.isSpecCompliantForm(t);
  if (!u.isFunction(o))
    throw new TypeError("visitor must be a function");
  function l(d) {
    if (d === null)
      return "";
    if (u.isDate(d))
      return d.toISOString();
    if (!f && u.isBlob(d))
      throw new b("Blob is not supported. Use a Buffer instead.");
    return u.isArrayBuffer(d) || u.isTypedArray(d) ? f && typeof Blob == "function" ? new Blob([d]) : Buffer.from(d) : d;
  }
  function c(d, y, h) {
    let E = d;
    if (d && !h && typeof d == "object") {
      if (u.endsWith(y, "{}"))
        y = r ? y : y.slice(0, -2), d = JSON.stringify(d);
      else if (u.isArray(d) && Al(d) || (u.isFileList(d) || u.endsWith(y, "[]")) && (E = u.toArray(d)))
        return y = Dr(y), E.forEach(function(v, A) {
          !(u.isUndefined(v) || v === null) && t.append(
            // eslint-disable-next-line no-nested-ternary
            i === !0 ? dn([y], A, s) : i === null ? y : y + "[]",
            l(v)
          );
        }), !1;
    }
    return lt(d) ? !0 : (t.append(dn(h, y, s), l(d)), !1);
  }
  const p = [], g = Object.assign(Cl, {
    defaultVisitor: c,
    convertValue: l,
    isVisitable: lt
  });
  function m(d, y) {
    if (!u.isUndefined(d)) {
      if (p.indexOf(d) !== -1)
        throw Error("Circular reference detected in " + y.join("."));
      p.push(d), u.forEach(d, function(E, _) {
        (!(u.isUndefined(E) || E === null) && o.call(
          t,
          E,
          u.isString(_) ? _.trim() : _,
          y,
          g
        )) === !0 && m(E, y ? y.concat(_) : [_]);
      }), p.pop();
    }
  }
  if (!u.isObject(e))
    throw new TypeError("data must be an object");
  return m(e), t;
}
function hn(e) {
  const t = {
    "!": "%21",
    "'": "%27",
    "(": "%28",
    ")": "%29",
    "~": "%7E",
    "%20": "+",
    "%00": "\0"
  };
  return encodeURIComponent(e).replace(/[!'()~]|%20|%00/g, function(r) {
    return t[r];
  });
}
function Lt(e, t) {
  this._pairs = [], e && Je(e, this, t);
}
const Br = Lt.prototype;
Br.append = function(t, n) {
  this._pairs.push([t, n]);
};
Br.toString = function(t) {
  const n = t ? function(r) {
    return t.call(this, r, hn);
  } : hn;
  return this._pairs.map(function(o) {
    return n(o[0]) + "=" + n(o[1]);
  }, "").join("&");
};
function Nl(e) {
  return encodeURIComponent(e).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function Ir(e, t, n) {
  if (!t)
    return e;
  const r = n && n.encode || Nl;
  u.isFunction(n) && (n = {
    serialize: n
  });
  const o = n && n.serialize;
  let s;
  if (o ? s = o(t, n) : s = u.isURLSearchParams(t) ? t.toString() : new Lt(t, n).toString(r), s) {
    const i = e.indexOf("#");
    i !== -1 && (e = e.slice(0, i)), e += (e.indexOf("?") === -1 ? "?" : "&") + s;
  }
  return e;
}
class jl {
  constructor() {
    this.handlers = [];
  }
  /**
   * Add a new interceptor to the stack
   *
   * @param {Function} fulfilled The function to handle `then` for a `Promise`
   * @param {Function} rejected The function to handle `reject` for a `Promise`
   *
   * @return {Number} An ID used to remove interceptor later
   */
  use(t, n, r) {
    return this.handlers.push({
      fulfilled: t,
      rejected: n,
      synchronous: r ? r.synchronous : !1,
      runWhen: r ? r.runWhen : null
    }), this.handlers.length - 1;
  }
  /**
   * Remove an interceptor from the stack
   *
   * @param {Number} id The ID that was returned by `use`
   *
   * @returns {Boolean} `true` if the interceptor was removed, `false` otherwise
   */
  eject(t) {
    this.handlers[t] && (this.handlers[t] = null);
  }
  /**
   * Clear all interceptors from the stack
   *
   * @returns {void}
   */
  clear() {
    this.handlers && (this.handlers = []);
  }
  /**
   * Iterate over all the registered interceptors
   *
   * This method is particularly useful for skipping over any
   * interceptors that may have become `null` calling `eject`.
   *
   * @param {Function} fn The function to call for each interceptor
   *
   * @returns {void}
   */
  forEach(t) {
    u.forEach(this.handlers, function(r) {
      r !== null && t(r);
    });
  }
}
const mn = jl, kr = {
  silentJSONParsing: !0,
  forcedJSONParsing: !0,
  clarifyTimeoutError: !1
}, Pl = typeof URLSearchParams < "u" ? URLSearchParams : Lt, xl = typeof FormData < "u" ? FormData : null, Ul = typeof Blob < "u" ? Blob : null, Fl = {
  isBrowser: !0,
  classes: {
    URLSearchParams: Pl,
    FormData: xl,
    Blob: Ul
  },
  protocols: ["http", "https", "file", "blob", "url", "data"]
}, Dt = typeof window < "u" && typeof document < "u", ft = typeof navigator == "object" && navigator || void 0, $l = Dt && (!ft || ["ReactNative", "NativeScript", "NS"].indexOf(ft.product) < 0), Ll = (() => typeof WorkerGlobalScope < "u" && // eslint-disable-next-line no-undef
self instanceof WorkerGlobalScope && typeof self.importScripts == "function")(), Dl = Dt && window.location.href || "http://localhost", Bl = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  hasBrowserEnv: Dt,
  hasStandardBrowserEnv: $l,
  hasStandardBrowserWebWorkerEnv: Ll,
  navigator: ft,
  origin: Dl
}, Symbol.toStringTag, { value: "Module" })), S = {
  ...Bl,
  ...Fl
};
function Il(e, t) {
  return Je(e, new S.classes.URLSearchParams(), Object.assign({
    visitor: function(n, r, o, s) {
      return S.isNode && u.isBuffer(n) ? (this.append(r, n.toString("base64")), !1) : s.defaultVisitor.apply(this, arguments);
    }
  }, t));
}
function kl(e) {
  return u.matchAll(/\w+|\[(\w*)]/g, e).map((t) => t[0] === "[]" ? "" : t[1] || t[0]);
}
function Ml(e) {
  const t = {}, n = Object.keys(e);
  let r;
  const o = n.length;
  let s;
  for (r = 0; r < o; r++)
    s = n[r], t[s] = e[s];
  return t;
}
function Mr(e) {
  function t(n, r, o, s) {
    let i = n[s++];
    if (i === "__proto__")
      return !0;
    const a = Number.isFinite(+i), f = s >= n.length;
    return i = !i && u.isArray(o) ? o.length : i, f ? (u.hasOwnProp(o, i) ? o[i] = [o[i], r] : o[i] = r, !a) : ((!o[i] || !u.isObject(o[i])) && (o[i] = []), t(n, r, o[i], s) && u.isArray(o[i]) && (o[i] = Ml(o[i])), !a);
  }
  if (u.isFormData(e) && u.isFunction(e.entries)) {
    const n = {};
    return u.forEachEntry(e, (r, o) => {
      t(kl(r), o, n, 0);
    }), n;
  }
  return null;
}
function ql(e, t, n) {
  if (u.isString(e))
    try {
      return (t || JSON.parse)(e), u.trim(e);
    } catch (r) {
      if (r.name !== "SyntaxError")
        throw r;
    }
  return (n || JSON.stringify)(e);
}
const Bt = {
  transitional: kr,
  adapter: ["xhr", "http", "fetch"],
  transformRequest: [function(t, n) {
    const r = n.getContentType() || "", o = r.indexOf("application/json") > -1, s = u.isObject(t);
    if (s && u.isHTMLForm(t) && (t = new FormData(t)), u.isFormData(t))
      return o ? JSON.stringify(Mr(t)) : t;
    if (u.isArrayBuffer(t) || u.isBuffer(t) || u.isStream(t) || u.isFile(t) || u.isBlob(t) || u.isReadableStream(t))
      return t;
    if (u.isArrayBufferView(t))
      return t.buffer;
    if (u.isURLSearchParams(t))
      return n.setContentType("application/x-www-form-urlencoded;charset=utf-8", !1), t.toString();
    let a;
    if (s) {
      if (r.indexOf("application/x-www-form-urlencoded") > -1)
        return Il(t, this.formSerializer).toString();
      if ((a = u.isFileList(t)) || r.indexOf("multipart/form-data") > -1) {
        const f = this.env && this.env.FormData;
        return Je(
          a ? { "files[]": t } : t,
          f && new f(),
          this.formSerializer
        );
      }
    }
    return s || o ? (n.setContentType("application/json", !1), ql(t)) : t;
  }],
  transformResponse: [function(t) {
    const n = this.transitional || Bt.transitional, r = n && n.forcedJSONParsing, o = this.responseType === "json";
    if (u.isResponse(t) || u.isReadableStream(t))
      return t;
    if (t && u.isString(t) && (r && !this.responseType || o)) {
      const i = !(n && n.silentJSONParsing) && o;
      try {
        return JSON.parse(t);
      } catch (a) {
        if (i)
          throw a.name === "SyntaxError" ? b.from(a, b.ERR_BAD_RESPONSE, this, null, this.response) : a;
      }
    }
    return t;
  }],
  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: S.classes.FormData,
    Blob: S.classes.Blob
  },
  validateStatus: function(t) {
    return t >= 200 && t < 300;
  },
  headers: {
    common: {
      Accept: "application/json, text/plain, */*",
      "Content-Type": void 0
    }
  }
};
u.forEach(["delete", "get", "head", "post", "put", "patch"], (e) => {
  Bt.headers[e] = {};
});
const It = Bt, Hl = u.toObjectSet([
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
]), Gl = (e) => {
  const t = {};
  let n, r, o;
  return e && e.split(`
`).forEach(function(i) {
    o = i.indexOf(":"), n = i.substring(0, o).trim().toLowerCase(), r = i.substring(o + 1).trim(), !(!n || t[n] && Hl[n]) && (n === "set-cookie" ? t[n] ? t[n].push(r) : t[n] = [r] : t[n] = t[n] ? t[n] + ", " + r : r);
  }), t;
}, gn = Symbol("internals");
function ue(e) {
  return e && String(e).trim().toLowerCase();
}
function Se(e) {
  return e === !1 || e == null ? e : u.isArray(e) ? e.map(Se) : String(e);
}
function Kl(e) {
  const t = /* @__PURE__ */ Object.create(null), n = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
  let r;
  for (; r = n.exec(e); )
    t[r[1]] = r[2];
  return t;
}
const Wl = (e) => /^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(e.trim());
function ot(e, t, n, r, o) {
  if (u.isFunction(r))
    return r.call(this, t, n);
  if (o && (t = n), !!u.isString(t)) {
    if (u.isString(r))
      return t.indexOf(r) !== -1;
    if (u.isRegExp(r))
      return r.test(t);
  }
}
function zl(e) {
  return e.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (t, n, r) => n.toUpperCase() + r);
}
function Jl(e, t) {
  const n = u.toCamelCase(" " + t);
  ["get", "set", "has"].forEach((r) => {
    Object.defineProperty(e, r + n, {
      value: function(o, s, i) {
        return this[r].call(this, t, o, s, i);
      },
      configurable: !0
    });
  });
}
class Ve {
  constructor(t) {
    t && this.set(t);
  }
  set(t, n, r) {
    const o = this;
    function s(a, f, l) {
      const c = ue(f);
      if (!c)
        throw new Error("header name must be a non-empty string");
      const p = u.findKey(o, c);
      (!p || o[p] === void 0 || l === !0 || l === void 0 && o[p] !== !1) && (o[p || f] = Se(a));
    }
    const i = (a, f) => u.forEach(a, (l, c) => s(l, c, f));
    if (u.isPlainObject(t) || t instanceof this.constructor)
      i(t, n);
    else if (u.isString(t) && (t = t.trim()) && !Wl(t))
      i(Gl(t), n);
    else if (u.isHeaders(t))
      for (const [a, f] of t.entries())
        s(f, a, r);
    else
      t != null && s(n, t, r);
    return this;
  }
  get(t, n) {
    if (t = ue(t), t) {
      const r = u.findKey(this, t);
      if (r) {
        const o = this[r];
        if (!n)
          return o;
        if (n === !0)
          return Kl(o);
        if (u.isFunction(n))
          return n.call(this, o, r);
        if (u.isRegExp(n))
          return n.exec(o);
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(t, n) {
    if (t = ue(t), t) {
      const r = u.findKey(this, t);
      return !!(r && this[r] !== void 0 && (!n || ot(this, this[r], r, n)));
    }
    return !1;
  }
  delete(t, n) {
    const r = this;
    let o = !1;
    function s(i) {
      if (i = ue(i), i) {
        const a = u.findKey(r, i);
        a && (!n || ot(r, r[a], a, n)) && (delete r[a], o = !0);
      }
    }
    return u.isArray(t) ? t.forEach(s) : s(t), o;
  }
  clear(t) {
    const n = Object.keys(this);
    let r = n.length, o = !1;
    for (; r--; ) {
      const s = n[r];
      (!t || ot(this, this[s], s, t, !0)) && (delete this[s], o = !0);
    }
    return o;
  }
  normalize(t) {
    const n = this, r = {};
    return u.forEach(this, (o, s) => {
      const i = u.findKey(r, s);
      if (i) {
        n[i] = Se(o), delete n[s];
        return;
      }
      const a = t ? zl(s) : String(s).trim();
      a !== s && delete n[s], n[a] = Se(o), r[a] = !0;
    }), this;
  }
  concat(...t) {
    return this.constructor.concat(this, ...t);
  }
  toJSON(t) {
    const n = /* @__PURE__ */ Object.create(null);
    return u.forEach(this, (r, o) => {
      r != null && r !== !1 && (n[o] = t && u.isArray(r) ? r.join(", ") : r);
    }), n;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([t, n]) => t + ": " + n).join(`
`);
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(t) {
    return t instanceof this ? t : new this(t);
  }
  static concat(t, ...n) {
    const r = new this(t);
    return n.forEach((o) => r.set(o)), r;
  }
  static accessor(t) {
    const r = (this[gn] = this[gn] = {
      accessors: {}
    }).accessors, o = this.prototype;
    function s(i) {
      const a = ue(i);
      r[a] || (Jl(o, i), r[a] = !0);
    }
    return u.isArray(t) ? t.forEach(s) : s(t), this;
  }
}
Ve.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]);
u.reduceDescriptors(Ve.prototype, ({ value: e }, t) => {
  let n = t[0].toUpperCase() + t.slice(1);
  return {
    get: () => e,
    set(r) {
      this[n] = r;
    }
  };
});
u.freezeMethods(Ve);
const P = Ve;
function st(e, t) {
  const n = this || It, r = t || n, o = P.from(r.headers);
  let s = r.data;
  return u.forEach(e, function(a) {
    s = a.call(n, s, o.normalize(), t ? t.status : void 0);
  }), o.normalize(), s;
}
function qr(e) {
  return !!(e && e.__CANCEL__);
}
function ce(e, t, n) {
  b.call(this, e ?? "canceled", b.ERR_CANCELED, t, n), this.name = "CanceledError";
}
u.inherits(ce, b, {
  __CANCEL__: !0
});
function Hr(e, t, n) {
  const r = n.config.validateStatus;
  !n.status || !r || r(n.status) ? e(n) : t(new b(
    "Request failed with status code " + n.status,
    [b.ERR_BAD_REQUEST, b.ERR_BAD_RESPONSE][Math.floor(n.status / 100) - 4],
    n.config,
    n.request,
    n
  ));
}
function Vl(e) {
  const t = /^([-+\w]{1,25})(:?\/\/|:)/.exec(e);
  return t && t[1] || "";
}
function Xl(e, t) {
  e = e || 10;
  const n = new Array(e), r = new Array(e);
  let o = 0, s = 0, i;
  return t = t !== void 0 ? t : 1e3, function(f) {
    const l = Date.now(), c = r[s];
    i || (i = l), n[o] = f, r[o] = l;
    let p = s, g = 0;
    for (; p !== o; )
      g += n[p++], p = p % e;
    if (o = (o + 1) % e, o === s && (s = (s + 1) % e), l - i < t)
      return;
    const m = c && l - c;
    return m ? Math.round(g * 1e3 / m) : void 0;
  };
}
function Ql(e, t) {
  let n = 0, r = 1e3 / t, o, s;
  const i = (l, c = Date.now()) => {
    n = c, o = null, s && (clearTimeout(s), s = null), e.apply(null, l);
  };
  return [(...l) => {
    const c = Date.now(), p = c - n;
    p >= r ? i(l, c) : (o = l, s || (s = setTimeout(() => {
      s = null, i(o);
    }, r - p)));
  }, () => o && i(o)];
}
const Pe = (e, t, n = 3) => {
  let r = 0;
  const o = Xl(50, 250);
  return Ql((s) => {
    const i = s.loaded, a = s.lengthComputable ? s.total : void 0, f = i - r, l = o(f), c = i <= a;
    r = i;
    const p = {
      loaded: i,
      total: a,
      progress: a ? i / a : void 0,
      bytes: f,
      rate: l || void 0,
      estimated: l && a && c ? (a - i) / l : void 0,
      event: s,
      lengthComputable: a != null,
      [t ? "download" : "upload"]: !0
    };
    e(p);
  }, n);
}, yn = (e, t) => {
  const n = e != null;
  return [(r) => t[0]({
    lengthComputable: n,
    total: e,
    loaded: r
  }), t[1]];
}, _n = (e) => (...t) => u.asap(() => e(...t)), Zl = S.hasStandardBrowserEnv ? ((e, t) => (n) => (n = new URL(n, S.origin), e.protocol === n.protocol && e.host === n.host && (t || e.port === n.port)))(
  new URL(S.origin),
  S.navigator && /(msie|trident)/i.test(S.navigator.userAgent)
) : () => !0, Yl = S.hasStandardBrowserEnv ? (
  // Standard browser envs support document.cookie
  {
    write(e, t, n, r, o, s) {
      const i = [e + "=" + encodeURIComponent(t)];
      u.isNumber(n) && i.push("expires=" + new Date(n).toGMTString()), u.isString(r) && i.push("path=" + r), u.isString(o) && i.push("domain=" + o), s === !0 && i.push("secure"), document.cookie = i.join("; ");
    },
    read(e) {
      const t = document.cookie.match(new RegExp("(^|;\\s*)(" + e + ")=([^;]*)"));
      return t ? decodeURIComponent(t[3]) : null;
    },
    remove(e) {
      this.write(e, "", Date.now() - 864e5);
    }
  }
) : (
  // Non-standard browser env (web workers, react-native) lack needed support.
  {
    write() {
    },
    read() {
      return null;
    },
    remove() {
    }
  }
);
function ef(e) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(e);
}
function tf(e, t) {
  return t ? e.replace(/\/?\/$/, "") + "/" + t.replace(/^\/+/, "") : e;
}
function Gr(e, t, n) {
  let r = !ef(t);
  return e && (r || n == !1) ? tf(e, t) : t;
}
const bn = (e) => e instanceof P ? { ...e } : e;
function J(e, t) {
  t = t || {};
  const n = {};
  function r(l, c, p, g) {
    return u.isPlainObject(l) && u.isPlainObject(c) ? u.merge.call({ caseless: g }, l, c) : u.isPlainObject(c) ? u.merge({}, c) : u.isArray(c) ? c.slice() : c;
  }
  function o(l, c, p, g) {
    if (u.isUndefined(c)) {
      if (!u.isUndefined(l))
        return r(void 0, l, p, g);
    } else
      return r(l, c, p, g);
  }
  function s(l, c) {
    if (!u.isUndefined(c))
      return r(void 0, c);
  }
  function i(l, c) {
    if (u.isUndefined(c)) {
      if (!u.isUndefined(l))
        return r(void 0, l);
    } else
      return r(void 0, c);
  }
  function a(l, c, p) {
    if (p in t)
      return r(l, c);
    if (p in e)
      return r(void 0, l);
  }
  const f = {
    url: s,
    method: s,
    data: s,
    baseURL: i,
    transformRequest: i,
    transformResponse: i,
    paramsSerializer: i,
    timeout: i,
    timeoutMessage: i,
    withCredentials: i,
    withXSRFToken: i,
    adapter: i,
    responseType: i,
    xsrfCookieName: i,
    xsrfHeaderName: i,
    onUploadProgress: i,
    onDownloadProgress: i,
    decompress: i,
    maxContentLength: i,
    maxBodyLength: i,
    beforeRedirect: i,
    transport: i,
    httpAgent: i,
    httpsAgent: i,
    cancelToken: i,
    socketPath: i,
    responseEncoding: i,
    validateStatus: a,
    headers: (l, c, p) => o(bn(l), bn(c), p, !0)
  };
  return u.forEach(Object.keys(Object.assign({}, e, t)), function(c) {
    const p = f[c] || o, g = p(e[c], t[c], c);
    u.isUndefined(g) && p !== a || (n[c] = g);
  }), n;
}
const Kr = (e) => {
  const t = J({}, e);
  let { data: n, withXSRFToken: r, xsrfHeaderName: o, xsrfCookieName: s, headers: i, auth: a } = t;
  t.headers = i = P.from(i), t.url = Ir(Gr(t.baseURL, t.url, t.allowAbsoluteUrls), e.params, e.paramsSerializer), a && i.set(
    "Authorization",
    "Basic " + btoa((a.username || "") + ":" + (a.password ? unescape(encodeURIComponent(a.password)) : ""))
  );
  let f;
  if (u.isFormData(n)) {
    if (S.hasStandardBrowserEnv || S.hasStandardBrowserWebWorkerEnv)
      i.setContentType(void 0);
    else if ((f = i.getContentType()) !== !1) {
      const [l, ...c] = f ? f.split(";").map((p) => p.trim()).filter(Boolean) : [];
      i.setContentType([l || "multipart/form-data", ...c].join("; "));
    }
  }
  if (S.hasStandardBrowserEnv && (r && u.isFunction(r) && (r = r(t)), r || r !== !1 && Zl(t.url))) {
    const l = o && s && Yl.read(s);
    l && i.set(o, l);
  }
  return t;
}, nf = typeof XMLHttpRequest < "u", rf = nf && function(e) {
  return new Promise(function(n, r) {
    const o = Kr(e);
    let s = o.data;
    const i = P.from(o.headers).normalize();
    let { responseType: a, onUploadProgress: f, onDownloadProgress: l } = o, c, p, g, m, d;
    function y() {
      m && m(), d && d(), o.cancelToken && o.cancelToken.unsubscribe(c), o.signal && o.signal.removeEventListener("abort", c);
    }
    let h = new XMLHttpRequest();
    h.open(o.method.toUpperCase(), o.url, !0), h.timeout = o.timeout;
    function E() {
      if (!h)
        return;
      const v = P.from(
        "getAllResponseHeaders" in h && h.getAllResponseHeaders()
      ), O = {
        data: !a || a === "text" || a === "json" ? h.responseText : h.response,
        status: h.status,
        statusText: h.statusText,
        headers: v,
        config: e,
        request: h
      };
      Hr(function(F) {
        n(F), y();
      }, function(F) {
        r(F), y();
      }, O), h = null;
    }
    "onloadend" in h ? h.onloadend = E : h.onreadystatechange = function() {
      !h || h.readyState !== 4 || h.status === 0 && !(h.responseURL && h.responseURL.indexOf("file:") === 0) || setTimeout(E);
    }, h.onabort = function() {
      h && (r(new b("Request aborted", b.ECONNABORTED, e, h)), h = null);
    }, h.onerror = function() {
      r(new b("Network Error", b.ERR_NETWORK, e, h)), h = null;
    }, h.ontimeout = function() {
      let A = o.timeout ? "timeout of " + o.timeout + "ms exceeded" : "timeout exceeded";
      const O = o.transitional || kr;
      o.timeoutErrorMessage && (A = o.timeoutErrorMessage), r(new b(
        A,
        O.clarifyTimeoutError ? b.ETIMEDOUT : b.ECONNABORTED,
        e,
        h
      )), h = null;
    }, s === void 0 && i.setContentType(null), "setRequestHeader" in h && u.forEach(i.toJSON(), function(A, O) {
      h.setRequestHeader(O, A);
    }), u.isUndefined(o.withCredentials) || (h.withCredentials = !!o.withCredentials), a && a !== "json" && (h.responseType = o.responseType), l && ([g, d] = Pe(l, !0), h.addEventListener("progress", g)), f && h.upload && ([p, m] = Pe(f), h.upload.addEventListener("progress", p), h.upload.addEventListener("loadend", m)), (o.cancelToken || o.signal) && (c = (v) => {
      h && (r(!v || v.type ? new ce(null, e, h) : v), h.abort(), h = null);
    }, o.cancelToken && o.cancelToken.subscribe(c), o.signal && (o.signal.aborted ? c() : o.signal.addEventListener("abort", c)));
    const _ = Vl(o.url);
    if (_ && S.protocols.indexOf(_) === -1) {
      r(new b("Unsupported protocol " + _ + ":", b.ERR_BAD_REQUEST, e));
      return;
    }
    h.send(s || null);
  });
}, of = (e, t) => {
  const { length: n } = e = e ? e.filter(Boolean) : [];
  if (t || n) {
    let r = new AbortController(), o;
    const s = function(l) {
      if (!o) {
        o = !0, a();
        const c = l instanceof Error ? l : this.reason;
        r.abort(c instanceof b ? c : new ce(c instanceof Error ? c.message : c));
      }
    };
    let i = t && setTimeout(() => {
      i = null, s(new b(`timeout ${t} of ms exceeded`, b.ETIMEDOUT));
    }, t);
    const a = () => {
      e && (i && clearTimeout(i), i = null, e.forEach((l) => {
        l.unsubscribe ? l.unsubscribe(s) : l.removeEventListener("abort", s);
      }), e = null);
    };
    e.forEach((l) => l.addEventListener("abort", s));
    const { signal: f } = r;
    return f.unsubscribe = () => u.asap(a), f;
  }
}, sf = of, af = function* (e, t) {
  let n = e.byteLength;
  if (!t || n < t) {
    yield e;
    return;
  }
  let r = 0, o;
  for (; r < n; )
    o = r + t, yield e.slice(r, o), r = o;
}, cf = async function* (e, t) {
  for await (const n of uf(e))
    yield* af(n, t);
}, uf = async function* (e) {
  if (e[Symbol.asyncIterator]) {
    yield* e;
    return;
  }
  const t = e.getReader();
  try {
    for (; ; ) {
      const { done: n, value: r } = await t.read();
      if (n)
        break;
      yield r;
    }
  } finally {
    await t.cancel();
  }
}, En = (e, t, n, r) => {
  const o = cf(e, t);
  let s = 0, i, a = (f) => {
    i || (i = !0, r && r(f));
  };
  return new ReadableStream({
    async pull(f) {
      try {
        const { done: l, value: c } = await o.next();
        if (l) {
          a(), f.close();
          return;
        }
        let p = c.byteLength;
        if (n) {
          let g = s += p;
          n(g);
        }
        f.enqueue(new Uint8Array(c));
      } catch (l) {
        throw a(l), l;
      }
    },
    cancel(f) {
      return a(f), o.return();
    }
  }, {
    highWaterMark: 2
  });
}, Xe = typeof fetch == "function" && typeof Request == "function" && typeof Response == "function", Wr = Xe && typeof ReadableStream == "function", lf = Xe && (typeof TextEncoder == "function" ? ((e) => (t) => e.encode(t))(new TextEncoder()) : async (e) => new Uint8Array(await new Response(e).arrayBuffer())), zr = (e, ...t) => {
  try {
    return !!e(...t);
  } catch {
    return !1;
  }
}, ff = Wr && zr(() => {
  let e = !1;
  const t = new Request(S.origin, {
    body: new ReadableStream(),
    method: "POST",
    get duplex() {
      return e = !0, "half";
    }
  }).headers.has("Content-Type");
  return e && !t;
}), Rn = 64 * 1024, pt = Wr && zr(() => u.isReadableStream(new Response("").body)), xe = {
  stream: pt && ((e) => e.body)
};
Xe && ((e) => {
  ["text", "arrayBuffer", "blob", "formData", "stream"].forEach((t) => {
    !xe[t] && (xe[t] = u.isFunction(e[t]) ? (n) => n[t]() : (n, r) => {
      throw new b(`Response type '${t}' is not supported`, b.ERR_NOT_SUPPORT, r);
    });
  });
})(new Response());
const pf = async (e) => {
  if (e == null)
    return 0;
  if (u.isBlob(e))
    return e.size;
  if (u.isSpecCompliantForm(e))
    return (await new Request(S.origin, {
      method: "POST",
      body: e
    }).arrayBuffer()).byteLength;
  if (u.isArrayBufferView(e) || u.isArrayBuffer(e))
    return e.byteLength;
  if (u.isURLSearchParams(e) && (e = e + ""), u.isString(e))
    return (await lf(e)).byteLength;
}, df = async (e, t) => {
  const n = u.toFiniteNumber(e.getContentLength());
  return n ?? pf(t);
}, hf = Xe && (async (e) => {
  let {
    url: t,
    method: n,
    data: r,
    signal: o,
    cancelToken: s,
    timeout: i,
    onDownloadProgress: a,
    onUploadProgress: f,
    responseType: l,
    headers: c,
    withCredentials: p = "same-origin",
    fetchOptions: g
  } = Kr(e);
  l = l ? (l + "").toLowerCase() : "text";
  let m = sf([o, s && s.toAbortSignal()], i), d;
  const y = m && m.unsubscribe && (() => {
    m.unsubscribe();
  });
  let h;
  try {
    if (f && ff && n !== "get" && n !== "head" && (h = await df(c, r)) !== 0) {
      let O = new Request(t, {
        method: "POST",
        body: r,
        duplex: "half"
      }), U;
      if (u.isFormData(r) && (U = O.headers.get("content-type")) && c.setContentType(U), O.body) {
        const [F, L] = yn(
          h,
          Pe(_n(f))
        );
        r = En(O.body, Rn, F, L);
      }
    }
    u.isString(p) || (p = p ? "include" : "omit");
    const E = "credentials" in Request.prototype;
    d = new Request(t, {
      ...g,
      signal: m,
      method: n.toUpperCase(),
      headers: c.normalize().toJSON(),
      body: r,
      duplex: "half",
      credentials: E ? p : void 0
    });
    let _ = await fetch(d);
    const v = pt && (l === "stream" || l === "response");
    if (pt && (a || v && y)) {
      const O = {};
      ["status", "statusText", "headers"].forEach((Mt) => {
        O[Mt] = _[Mt];
      });
      const U = u.toFiniteNumber(_.headers.get("content-length")), [F, L] = a && yn(
        U,
        Pe(_n(a), !0)
      ) || [];
      _ = new Response(
        En(_.body, Rn, F, () => {
          L && L(), y && y();
        }),
        O
      );
    }
    l = l || "text";
    let A = await xe[u.findKey(xe, l) || "text"](_, e);
    return !v && y && y(), await new Promise((O, U) => {
      Hr(O, U, {
        data: A,
        headers: P.from(_.headers),
        status: _.status,
        statusText: _.statusText,
        config: e,
        request: d
      });
    });
  } catch (E) {
    throw y && y(), E && E.name === "TypeError" && /fetch/i.test(E.message) ? Object.assign(
      new b("Network Error", b.ERR_NETWORK, e, d),
      {
        cause: E.cause || E
      }
    ) : b.from(E, E && E.code, e, d);
  }
}), dt = {
  http: Tl,
  xhr: rf,
  fetch: hf
};
u.forEach(dt, (e, t) => {
  if (e) {
    try {
      Object.defineProperty(e, "name", { value: t });
    } catch {
    }
    Object.defineProperty(e, "adapterName", { value: t });
  }
});
const vn = (e) => `- ${e}`, mf = (e) => u.isFunction(e) || e === null || e === !1, Jr = {
  getAdapter: (e) => {
    e = u.isArray(e) ? e : [e];
    const { length: t } = e;
    let n, r;
    const o = {};
    for (let s = 0; s < t; s++) {
      n = e[s];
      let i;
      if (r = n, !mf(n) && (r = dt[(i = String(n)).toLowerCase()], r === void 0))
        throw new b(`Unknown adapter '${i}'`);
      if (r)
        break;
      o[i || "#" + s] = r;
    }
    if (!r) {
      const s = Object.entries(o).map(
        ([a, f]) => `adapter ${a} ` + (f === !1 ? "is not supported by the environment" : "is not available in the build")
      );
      let i = t ? s.length > 1 ? `since :
` + s.map(vn).join(`
`) : " " + vn(s[0]) : "as no adapter specified";
      throw new b(
        "There is no suitable adapter to dispatch the request " + i,
        "ERR_NOT_SUPPORT"
      );
    }
    return r;
  },
  adapters: dt
};
function it(e) {
  if (e.cancelToken && e.cancelToken.throwIfRequested(), e.signal && e.signal.aborted)
    throw new ce(null, e);
}
function wn(e) {
  return it(e), e.headers = P.from(e.headers), e.data = st.call(
    e,
    e.transformRequest
  ), ["post", "put", "patch"].indexOf(e.method) !== -1 && e.headers.setContentType("application/x-www-form-urlencoded", !1), Jr.getAdapter(e.adapter || It.adapter)(e).then(function(r) {
    return it(e), r.data = st.call(
      e,
      e.transformResponse,
      r
    ), r.headers = P.from(r.headers), r;
  }, function(r) {
    return qr(r) || (it(e), r && r.response && (r.response.data = st.call(
      e,
      e.transformResponse,
      r.response
    ), r.response.headers = P.from(r.response.headers))), Promise.reject(r);
  });
}
const Vr = "1.8.4", Qe = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((e, t) => {
  Qe[e] = function(r) {
    return typeof r === e || "a" + (t < 1 ? "n " : " ") + e;
  };
});
const On = {};
Qe.transitional = function(t, n, r) {
  function o(s, i) {
    return "[Axios v" + Vr + "] Transitional option '" + s + "'" + i + (r ? ". " + r : "");
  }
  return (s, i, a) => {
    if (t === !1)
      throw new b(
        o(i, " has been removed" + (n ? " in " + n : "")),
        b.ERR_DEPRECATED
      );
    return n && !On[i] && (On[i] = !0, console.warn(
      o(
        i,
        " has been deprecated since v" + n + " and will be removed in the near future"
      )
    )), t ? t(s, i, a) : !0;
  };
};
Qe.spelling = function(t) {
  return (n, r) => (console.warn(`${r} is likely a misspelling of ${t}`), !0);
};
function gf(e, t, n) {
  if (typeof e != "object")
    throw new b("options must be an object", b.ERR_BAD_OPTION_VALUE);
  const r = Object.keys(e);
  let o = r.length;
  for (; o-- > 0; ) {
    const s = r[o], i = t[s];
    if (i) {
      const a = e[s], f = a === void 0 || i(a, s, e);
      if (f !== !0)
        throw new b("option " + s + " must be " + f, b.ERR_BAD_OPTION_VALUE);
      continue;
    }
    if (n !== !0)
      throw new b("Unknown option " + s, b.ERR_BAD_OPTION);
  }
}
const Te = {
  assertOptions: gf,
  validators: Qe
}, $ = Te.validators;
class Ue {
  constructor(t) {
    this.defaults = t, this.interceptors = {
      request: new mn(),
      response: new mn()
    };
  }
  /**
   * Dispatch a request
   *
   * @param {String|Object} configOrUrl The config specific for this request (merged with this.defaults)
   * @param {?Object} config
   *
   * @returns {Promise} The Promise to be fulfilled
   */
  async request(t, n) {
    try {
      return await this._request(t, n);
    } catch (r) {
      if (r instanceof Error) {
        let o = {};
        Error.captureStackTrace ? Error.captureStackTrace(o) : o = new Error();
        const s = o.stack ? o.stack.replace(/^.+\n/, "") : "";
        try {
          r.stack ? s && !String(r.stack).endsWith(s.replace(/^.+\n.+\n/, "")) && (r.stack += `
` + s) : r.stack = s;
        } catch {
        }
      }
      throw r;
    }
  }
  _request(t, n) {
    typeof t == "string" ? (n = n || {}, n.url = t) : n = t || {}, n = J(this.defaults, n);
    const { transitional: r, paramsSerializer: o, headers: s } = n;
    r !== void 0 && Te.assertOptions(r, {
      silentJSONParsing: $.transitional($.boolean),
      forcedJSONParsing: $.transitional($.boolean),
      clarifyTimeoutError: $.transitional($.boolean)
    }, !1), o != null && (u.isFunction(o) ? n.paramsSerializer = {
      serialize: o
    } : Te.assertOptions(o, {
      encode: $.function,
      serialize: $.function
    }, !0)), n.allowAbsoluteUrls !== void 0 || (this.defaults.allowAbsoluteUrls !== void 0 ? n.allowAbsoluteUrls = this.defaults.allowAbsoluteUrls : n.allowAbsoluteUrls = !0), Te.assertOptions(n, {
      baseUrl: $.spelling("baseURL"),
      withXsrfToken: $.spelling("withXSRFToken")
    }, !0), n.method = (n.method || this.defaults.method || "get").toLowerCase();
    let i = s && u.merge(
      s.common,
      s[n.method]
    );
    s && u.forEach(
      ["delete", "get", "head", "post", "put", "patch", "common"],
      (d) => {
        delete s[d];
      }
    ), n.headers = P.concat(i, s);
    const a = [];
    let f = !0;
    this.interceptors.request.forEach(function(y) {
      typeof y.runWhen == "function" && y.runWhen(n) === !1 || (f = f && y.synchronous, a.unshift(y.fulfilled, y.rejected));
    });
    const l = [];
    this.interceptors.response.forEach(function(y) {
      l.push(y.fulfilled, y.rejected);
    });
    let c, p = 0, g;
    if (!f) {
      const d = [wn.bind(this), void 0];
      for (d.unshift.apply(d, a), d.push.apply(d, l), g = d.length, c = Promise.resolve(n); p < g; )
        c = c.then(d[p++], d[p++]);
      return c;
    }
    g = a.length;
    let m = n;
    for (p = 0; p < g; ) {
      const d = a[p++], y = a[p++];
      try {
        m = d(m);
      } catch (h) {
        y.call(this, h);
        break;
      }
    }
    try {
      c = wn.call(this, m);
    } catch (d) {
      return Promise.reject(d);
    }
    for (p = 0, g = l.length; p < g; )
      c = c.then(l[p++], l[p++]);
    return c;
  }
  getUri(t) {
    t = J(this.defaults, t);
    const n = Gr(t.baseURL, t.url, t.allowAbsoluteUrls);
    return Ir(n, t.params, t.paramsSerializer);
  }
}
u.forEach(["delete", "get", "head", "options"], function(t) {
  Ue.prototype[t] = function(n, r) {
    return this.request(J(r || {}, {
      method: t,
      url: n,
      data: (r || {}).data
    }));
  };
});
u.forEach(["post", "put", "patch"], function(t) {
  function n(r) {
    return function(s, i, a) {
      return this.request(J(a || {}, {
        method: t,
        headers: r ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url: s,
        data: i
      }));
    };
  }
  Ue.prototype[t] = n(), Ue.prototype[t + "Form"] = n(!0);
});
const Ae = Ue;
class kt {
  constructor(t) {
    if (typeof t != "function")
      throw new TypeError("executor must be a function.");
    let n;
    this.promise = new Promise(function(s) {
      n = s;
    });
    const r = this;
    this.promise.then((o) => {
      if (!r._listeners)
        return;
      let s = r._listeners.length;
      for (; s-- > 0; )
        r._listeners[s](o);
      r._listeners = null;
    }), this.promise.then = (o) => {
      let s;
      const i = new Promise((a) => {
        r.subscribe(a), s = a;
      }).then(o);
      return i.cancel = function() {
        r.unsubscribe(s);
      }, i;
    }, t(function(s, i, a) {
      r.reason || (r.reason = new ce(s, i, a), n(r.reason));
    });
  }
  /**
   * Throws a `CanceledError` if cancellation has been requested.
   */
  throwIfRequested() {
    if (this.reason)
      throw this.reason;
  }
  /**
   * Subscribe to the cancel signal
   */
  subscribe(t) {
    if (this.reason) {
      t(this.reason);
      return;
    }
    this._listeners ? this._listeners.push(t) : this._listeners = [t];
  }
  /**
   * Unsubscribe from the cancel signal
   */
  unsubscribe(t) {
    if (!this._listeners)
      return;
    const n = this._listeners.indexOf(t);
    n !== -1 && this._listeners.splice(n, 1);
  }
  toAbortSignal() {
    const t = new AbortController(), n = (r) => {
      t.abort(r);
    };
    return this.subscribe(n), t.signal.unsubscribe = () => this.unsubscribe(n), t.signal;
  }
  /**
   * Returns an object that contains a new `CancelToken` and a function that, when called,
   * cancels the `CancelToken`.
   */
  static source() {
    let t;
    return {
      token: new kt(function(o) {
        t = o;
      }),
      cancel: t
    };
  }
}
const yf = kt;
function _f(e) {
  return function(n) {
    return e.apply(null, n);
  };
}
function bf(e) {
  return u.isObject(e) && e.isAxiosError === !0;
}
const ht = {
  Continue: 100,
  SwitchingProtocols: 101,
  Processing: 102,
  EarlyHints: 103,
  Ok: 200,
  Created: 201,
  Accepted: 202,
  NonAuthoritativeInformation: 203,
  NoContent: 204,
  ResetContent: 205,
  PartialContent: 206,
  MultiStatus: 207,
  AlreadyReported: 208,
  ImUsed: 226,
  MultipleChoices: 300,
  MovedPermanently: 301,
  Found: 302,
  SeeOther: 303,
  NotModified: 304,
  UseProxy: 305,
  Unused: 306,
  TemporaryRedirect: 307,
  PermanentRedirect: 308,
  BadRequest: 400,
  Unauthorized: 401,
  PaymentRequired: 402,
  Forbidden: 403,
  NotFound: 404,
  MethodNotAllowed: 405,
  NotAcceptable: 406,
  ProxyAuthenticationRequired: 407,
  RequestTimeout: 408,
  Conflict: 409,
  Gone: 410,
  LengthRequired: 411,
  PreconditionFailed: 412,
  PayloadTooLarge: 413,
  UriTooLong: 414,
  UnsupportedMediaType: 415,
  RangeNotSatisfiable: 416,
  ExpectationFailed: 417,
  ImATeapot: 418,
  MisdirectedRequest: 421,
  UnprocessableEntity: 422,
  Locked: 423,
  FailedDependency: 424,
  TooEarly: 425,
  UpgradeRequired: 426,
  PreconditionRequired: 428,
  TooManyRequests: 429,
  RequestHeaderFieldsTooLarge: 431,
  UnavailableForLegalReasons: 451,
  InternalServerError: 500,
  NotImplemented: 501,
  BadGateway: 502,
  ServiceUnavailable: 503,
  GatewayTimeout: 504,
  HttpVersionNotSupported: 505,
  VariantAlsoNegotiates: 506,
  InsufficientStorage: 507,
  LoopDetected: 508,
  NotExtended: 510,
  NetworkAuthenticationRequired: 511
};
Object.entries(ht).forEach(([e, t]) => {
  ht[t] = e;
});
const Ef = ht;
function Xr(e) {
  const t = new Ae(e), n = Cr(Ae.prototype.request, t);
  return u.extend(n, Ae.prototype, t, { allOwnKeys: !0 }), u.extend(n, t, null, { allOwnKeys: !0 }), n.create = function(o) {
    return Xr(J(e, o));
  }, n;
}
const w = Xr(It);
w.Axios = Ae;
w.CanceledError = ce;
w.CancelToken = yf;
w.isCancel = qr;
w.VERSION = Vr;
w.toFormData = Je;
w.AxiosError = b;
w.Cancel = w.CanceledError;
w.all = function(t) {
  return Promise.all(t);
};
w.spread = _f;
w.isAxiosError = bf;
w.mergeConfig = J;
w.AxiosHeaders = P;
w.formToJSON = (e) => Mr(u.isHTMLForm(e) ? new FormData(e) : e);
w.getAdapter = Jr.getAdapter;
w.HttpStatusCode = Ef;
w.default = w;
const Rf = w;
var M = /* @__PURE__ */ ((e) => (e.GITHUB = "github", e.GITEE = "gitee", e))(M || {});
const vf = 3e4, Sn = Math.random(), Qr = {
  timeout: vf,
  getBusinessCode() {
    return Sn;
  },
  getBusinessMsg(e) {
    return e.statusText;
  },
  getBusinessData(e) {
    return e.data;
  },
  businessSuccessCodeList: [Sn],
  axios: Rf
}, Zr = Ar({
  basePath: " https://gitee.com",
  ...Qr
}), Yr = Ar({
  basePath: "https://api.github.com",
  ...Qr
}), wf = ({
  username: e
}) => Zr({
  url: `/api/v5/users/${e}/repos`,
  method: "GET"
}), Of = ({
  accessToken: e
}) => Zr({
  url: "/api/v5/user/repos",
  method: "GET",
  params: {
    access_token: e,
    per_page: 100,
    page: 1,
    sort: "updated"
  }
}), Sf = ({
  username: e
}) => Yr({
  url: `/users/${e}/repos`,
  method: "GET"
}), Tf = ({
  accessToken: e
}) => Yr({
  url: "/user/repos",
  method: "GET",
  headers: {
    Authorization: `Bearer ${e}`
  },
  params: {
    per_page: 100,
    page: 1,
    sort: "updated"
  }
}), Af = {
  name: "@done-coding/cli-git",
  version: "0.5.5-alpha.1",
  description: "git跨平台操作命令行工具",
  cliConfig: {
    namespaceDir: ".done-coding",
    moduleName: "git"
  }
}, {
  cliConfig: { namespaceDir: Cf, moduleName: Nf }
} = Af, jf = `./${Cf}/${Nf}`, Pf = (e) => `${jf}/.${e}`, xf = ({ platform: e, username: t }) => `${e}/${t}`, Uf = (e) => {
  const { platform: t } = e, n = Pf(t), r = An(n, {
    isFindFarthest: !1
  });
  if (!r) {
    R.warn("配置文件不存在");
    return;
  }
  const o = `${r}/${n}`, s = co.readFileSync(o, "utf-8"), i = xf(e), a = so({ encryptedText: s, secretKey: i });
  if (!a) {
    R.warn("配置文件解密失败");
    return;
  }
  return JSON.parse(a);
}, Tn = [
  { title: "GitHub", value: M.GITHUB },
  { title: "Gitee", value: M.GITEE }
], eo = (e) => {
  let t = 0;
  if (e) {
    const n = Tn.findIndex(
      (r) => r.value === e
    );
    n >= 0 && (t = n);
  }
  return {
    type: "select",
    name: "platform",
    message: "选择git平台",
    choices: Tn,
    initial: t
  };
}, to = (e) => ({
  type: "text",
  name: "username",
  message: "请输入用户名",
  format: (t) => t.trim(),
  validate: (t) => t.length > 0 || "用户名不能为空",
  initial: e
}), Ff = async ({
  platform: e,
  username: t
} = {}) => {
  const n = {
    platform: e,
    username: t
  };
  e || (n.platform = (await N(eo())).platform), t || (n.username = (await N(to())).username);
  const { platform: r, username: o } = n;
  let s = [];
  const i = Uf({
    username: o,
    platform: r
  });
  let a = i == null ? void 0 : i.accessToken;
  R.stage(`正在获取${o}的${r}仓库列表...`);
  const f = {
    username: o,
    accessToken: a
  };
  switch (n.platform) {
    case M.GITHUB: {
      s = (await (f.accessToken ? Tf : Sf)(f)).data.map((c) => ({
        name: c.name,
        httpUrl: c.clone_url,
        sshUrl: c.ssh_url,
        description: c.description || ""
      }));
      break;
    }
    case M.GITEE: {
      s = (await (f.accessToken ? Of : wf)(f)).data.map((c) => ({
        name: c.name,
        httpUrl: c.html_url,
        sshUrl: c.ssh_url,
        description: c.description || ""
      }));
      break;
    }
    default:
      return R.error(`未知平台${r}`), process.exit(1);
  }
  if (R.success(`获取${o}的${r}仓库列表成功`), s.length === 0) {
    R.warn(`${o} 可获取${r}仓库列表为空`);
    return;
  } else
    R.stage(`共${s.length}个仓库`);
  const { repoUrl: l } = await N({
    name: "repoUrl",
    type: "select",
    message: "选择仓库",
    choices: s.map((c) => ({
      title: `${c.name} ${c.description}`,
      value: c.sshUrl
    }))
  });
  return l;
}, $f = async (e) => {
  const t = await Ff(e), { projectName: n } = e;
  le(
    `git clone ${t} ${n ? `${n} ` : ""}--depth=1`,
    { stdio: "inherit" }
  ), R.success(`克隆${t}成功`);
}, Lf = async (e) => {
  console.log("克隆done-coding系列项目"), console.log("选择平台:");
  const { platform: t } = await N(eo(M.GITEE));
  console.log("选择用户名:");
  const { username: n } = await N(
    to(
      {
        [M.GITHUB]: "done-coding",
        [M.GITEE]: "justsosu"
      }[t]
    )
  );
  console.log("platform:", t), console.log("username:", n), await $f({
    platform: t,
    username: n,
    projectName: e
  });
}, Df = async (e) => {
  R.info(`版本: ${mt.version}`);
  const { projectName: t, justCloneFromDoneCoding: n = !0 } = e;
  if (n) {
    R.info("仅仅(从done-coding系列项目列表中)克隆远程仓库"), await Lf(t);
    return;
  }
  const o = ((t ?? (await N(go)).projectName) || "").trim();
  if (!o)
    return R.error("项目名称不能为空"), process.exit(1);
  if (o.includes(" ") || o.includes("\\") || o.includes("/"))
    return R.error(`项目名称\`${o}\`不能包含空格或者\\或者/`), process.exit(1);
  const s = uo(process.cwd(), o);
  if (qt(s)) {
    const { isRemove: m } = await N(bo());
    if (m === !0)
      we(s, { recursive: !0, force: !0 });
    else
      return R.error(`项目${o}已存在`), process.exit(1);
  }
  const { template: i } = await N(await yo());
  let a = "", f = "";
  if (i === Cn) {
    const { customUrl: m } = await N(Eo);
    a = m;
  } else if (i === Nn)
    a = await ho();
  else {
    const m = (await jn()).find(
      (d) => d.name === i
    );
    if (!m)
      return R.error(`模板${i}不存在`), process.exit(1);
    if (!m.url)
      return R.error(`模板${i}仓库地址不存在`), process.exit(1);
    a = m.url, f = m.branch;
  }
  const l = An(".git");
  R.stage("正在初始化项目，请稍等..."), le(
    `git clone${f ? ` -b ${f}` : ""} ${a} ${o} --depth=1`,
    { stdio: "inherit" }
  );
  const c = po, p = lo({
    rootDir: s,
    configPath: c
  });
  if (p && (await fo({
    rootDir: s,
    configPath: c,
    extraEnvData: {
      $projectName: o
    }
  }), we(p, { force: !0 }), R.stage("模板项目配置注入成功, 模版项目配置文件已删除")), R.stage("项目初始化完成"), l) {
    const m = Ze.resolve(s), d = Ze.resolve(m, ".git");
    if (!qt(d))
      throw new Error("git目录不存在");
    we(d, { recursive: !0, force: !0 }), R.stage(
      `项目创建在父级git仓库${l}中，已删除${o}目录下的.git(${d})`
    );
  } else if ((await N(_o)).saveGitHistory)
    le("git remote rename origin upstream && git fetch --unshallow", {
      cwd: s,
      stdio: "inherit"
    }), R.stage(
      "已经将origin重命名为upstream，后续可以与模板git仓库有完整的交互"
    ), R.success("已保存git历史记录");
  else {
    const d = Ze.resolve(s, ".git");
    we(d, { recursive: !0, force: !0 }), le("git init", {
      cwd: s,
      stdio: "inherit"
    });
  }
  const { gitCommitMessage: g } = await N(
    Ro(o)
  );
  le(`git add . && git commit -m '${g}'`, {
    cwd: s,
    stdio: "inherit"
  }), R.success(`项目${o}初始化完成`), R.info(`
使用步骤: 
  1. cd ${o}
  2. pnpm install
  3. pnpm run dev
  `);
}, {
  version: Bf,
  description: If,
  cliConfig: { moduleName: kf }
} = mt, no = {
  describe: If,
  version: Bf,
  options: {
    justCloneFromDoneCoding: {
      alias: "c",
      type: "boolean",
      describe: "是否仅仅(从done-coding系列项目列表中)克隆远程仓库",
      default: !1
    }
  },
  positionals: {
    projectName: {
      describe: "项目名称",
      type: "string"
    }
  },
  handler: Df
}, ro = (e = !1) => {
  const t = `${e ? `${kf} ` : ""}[projectName]`, n = `$0 ${t.trim()}`;
  return { command: t, usage: n };
}, zf = async () => io({
  ...no,
  ...ro()
}), Jf = () => ao({
  ...no,
  ...ro(!0)
});
export {
  Jf as a,
  zf as c,
  Df as h
};
